/* ex: set ro ft=c:
 * !!!!!!!   DO NOT EDIT THIS FILE   !!!!!!!
 *
 * This file is generated automatically by tools/build/nativecall.pl
 * from definitions in src/call_list.txt
 *
 * Any changes made here will be lost!
 *
 */

/* nci.c
 *  Copyright (C) 2001-2007, The Perl Foundation.
 *  SVN Info
 *     $Id$
 *  Overview:
 *     Native Call Interface routines. The code needed to build a
 *     parrot to C call frame is in here
 *  Data Structure and Algorithms:
 *  History:
 *  Notes:
 *  References:
 */
#include "parrot/parrot.h"
#include "parrot/hash.h"
#include "parrot/oplib/ops.h"
#include "nci.str"

/* HEADERIZER HFILE: none */
/* HEADERIZER STOP */

/*
 * if the architecture can build some or all of these signatures
 * enable the define below
 * - the JITed function will be called first
 * - if it returns NULL, the hardcoded version will do the job
 */

#if defined(HAS_JIT) && defined(I386)
#  include "parrot/exec.h"
#  include "jit.h"
/*#  define CAN_BUILD_CALL_FRAMES*/
#endif

/*
 * helper funcs - get argument n
 */
static INTVAL
get_nci_I(PARROT_INTERP, ARGMOD(call_state *st), int n)
{
    if (n >= st->src.n)
        Parrot_ex_throw_from_c_args(interp, NULL, EXCEPTION_INVALID_OPERATION,
            "too few arguments passed to NCI function");

    Parrot_fetch_arg_nci(interp, st);

    return UVal_int(st->val);
}

static FLOATVAL
get_nci_N(PARROT_INTERP, ARGMOD(call_state *st), int n)
{
    if (n >= st->src.n)
        Parrot_ex_throw_from_c_args(interp, NULL, EXCEPTION_INVALID_OPERATION,
            "too few arguments passed to NCI function");

    Parrot_fetch_arg_nci(interp, st);

    return UVal_num(st->val);
}

PARROT_WARN_UNUSED_RESULT
PARROT_CANNOT_RETURN_NULL
static STRING*
get_nci_S(PARROT_INTERP, ARGMOD(call_state *st), int n)
{
    /* TODO or act like below? */
    if (n >= st->src.n)
        Parrot_ex_throw_from_c_args(interp, NULL, EXCEPTION_INVALID_OPERATION,
            "too few arguments passed to NCI function");

    Parrot_fetch_arg_nci(interp, st);

    return UVal_str(st->val);
}

PARROT_WARN_UNUSED_RESULT
PARROT_CANNOT_RETURN_NULL
static PMC*
get_nci_P(PARROT_INTERP, ARGMOD(call_state *st), int n)
{
    /*
     * exessive args are passed as NULL
     * used by e.g. MMD infix like __add
     */
    if (n < st->src.n)
        Parrot_fetch_arg_nci(interp, st);
    else
        UVal_pmc(st->val) = PMCNULL;

    return UVal_pmc(st->val);
}

#define GET_NCI_I(n) get_nci_I(interp, &st, n)
#define GET_NCI_S(n) get_nci_S(interp, &st, n)
#define GET_NCI_N(n) get_nci_N(interp, &st, n)
#define GET_NCI_P(n) get_nci_P(interp, &st, n)

/*
 * set return value
 */
static void
set_nci_I(PARROT_INTERP, ARGOUT(call_state *st), INTVAL val)
{
    Parrot_init_ret_nci(interp, st, "I");
    if (st->dest.i < st->dest.n) {
        UVal_int(st->val) = val;
        Parrot_convert_arg(interp, st);
        Parrot_store_arg(interp, st);
    }
}

static void
set_nci_N(PARROT_INTERP, ARGOUT(call_state *st), FLOATVAL val)
{
    Parrot_init_ret_nci(interp, st, "N");
    if (st->dest.i < st->dest.n) {
        UVal_num(st->val) = val;
        Parrot_convert_arg(interp, st);
        Parrot_store_arg(interp, st);
    }
}

static void
set_nci_S(PARROT_INTERP, ARGOUT(call_state *st), STRING *val)
{
    Parrot_init_ret_nci(interp, st, "S");
    if (st->dest.i < st->dest.n) {
        UVal_str(st->val) = val;
        Parrot_convert_arg(interp, st);
        Parrot_store_arg(interp, st);
    }
}

static void
set_nci_P(PARROT_INTERP, ARGOUT(call_state *st), PMC* val)
{
    Parrot_init_ret_nci(interp, st, "P");
    if (st->dest.i < st->dest.n) {
        UVal_pmc(st->val) = val;
        Parrot_convert_arg(interp, st);
        Parrot_store_arg(interp, st);
    }
}

/* All our static functions that call in various ways. Yes, terribly
   hackish, but that is just fine */

static void
pcf_d_JOd(PARROT_INTERP, PMC *self)
{
    typedef double (*func_t)(PARROT_INTERP, PMC *, double);
    func_t pointer;
    call_state st;
    double return_data;
    
    PMC *t_1;
    double t_2;
    Parrot_init_arg_nci(interp, &st, "PN");
    t_1 = GET_NCI_P(0);
    t_2 = (double)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (double)(*pointer)(interp,PMC_IS_NULL(t_1) ? NULL : t_1,t_2);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_I_JOS(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_4;
    STRING *t_5;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_4 = GET_NCI_P(0);
    t_5 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_4) ? NULL : t_4,t_5);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JOl(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, long);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_7;
    long t_8;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_7 = GET_NCI_P(0);
    t_8 = (long)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_7) ? NULL : t_7,t_8);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_Jt(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, char *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    char *t_10;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_10 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,t_10);
    
    set_nci_P(interp, &st, return_data);
    do { if (t_10) string_cstring_free(t_10); } while (0);
}
static void
pcf_S_JOS(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_12;
    STRING *t_13;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_12 = GET_NCI_P(0);
    t_13 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_12) ? NULL : t_12,t_13);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_I_JI(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, INTVAL);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    INTVAL t_15;
    Parrot_init_arg_nci(interp, &st, "I");
    t_15 = GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,t_15);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_JOSP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_17;
    STRING *t_18;
    PMC *t_19;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_17 = GET_NCI_P(0);
    t_18 = GET_NCI_S(1);
    t_19 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_17) ? NULL : t_17,t_18,PMC_IS_NULL(t_19) ? NULL : t_19);
    
    
    
}
static void
pcf_v_JOS(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_21;
    STRING *t_22;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_21 = GET_NCI_P(0);
    t_22 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_21) ? NULL : t_21,t_22);
    
    
    
}
static void
pcf_P_JOS(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_24;
    STRING *t_25;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_24 = GET_NCI_P(0);
    t_25 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_24) ? NULL : t_24,t_25);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_I_JOI(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_27;
    INTVAL t_28;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_27 = GET_NCI_P(0);
    t_28 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_27) ? NULL : t_27,t_28);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JOP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_30;
    PMC *t_31;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_30 = GET_NCI_P(0);
    t_31 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_30) ? NULL : t_30,PMC_IS_NULL(t_31) ? NULL : t_31);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JOPS(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, STRING *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_33;
    PMC *t_34;
    STRING *t_35;
    Parrot_init_arg_nci(interp, &st, "PPS");
    t_33 = GET_NCI_P(0);
    t_34 = GET_NCI_P(1);
    t_35 = GET_NCI_S(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_33) ? NULL : t_33,PMC_IS_NULL(t_34) ? NULL : t_34,t_35);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOPSP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_37;
    PMC *t_38;
    STRING *t_39;
    PMC *t_40;
    Parrot_init_arg_nci(interp, &st, "PPSP");
    t_37 = GET_NCI_P(0);
    t_38 = GET_NCI_P(1);
    t_39 = GET_NCI_S(2);
    t_40 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_37) ? NULL : t_37,PMC_IS_NULL(t_38) ? NULL : t_38,t_39,PMC_IS_NULL(t_40) ? NULL : t_40);
    
    
    
}
static void
pcf_v_JPPP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_42;
    PMC *t_43;
    PMC *t_44;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_42 = GET_NCI_P(0);
    t_43 = GET_NCI_P(1);
    t_44 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_42) ? NULL : t_42,PMC_IS_NULL(t_43) ? NULL : t_43,PMC_IS_NULL(t_44) ? NULL : t_44);
    
    
    
}
static void
pcf_v_JPIP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, INTVAL, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_46;
    INTVAL t_47;
    PMC *t_48;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_46 = GET_NCI_P(0);
    t_47 = GET_NCI_I(1);
    t_48 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_46) ? NULL : t_46,t_47,PMC_IS_NULL(t_48) ? NULL : t_48);
    
    
    
}
static void
pcf_v_JPSP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_50;
    STRING *t_51;
    PMC *t_52;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_50 = GET_NCI_P(0);
    t_51 = GET_NCI_S(1);
    t_52 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_50) ? NULL : t_50,t_51,PMC_IS_NULL(t_52) ? NULL : t_52);
    
    
    
}
static void
pcf_v_JPNP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, FLOATVAL, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_54;
    FLOATVAL t_55;
    PMC *t_56;
    Parrot_init_arg_nci(interp, &st, "PNP");
    t_54 = GET_NCI_P(0);
    t_55 = GET_NCI_N(1);
    t_56 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_54) ? NULL : t_54,t_55,PMC_IS_NULL(t_56) ? NULL : t_56);
    
    
    
}
static void
pcf_v_JPP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_58;
    PMC *t_59;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_58 = GET_NCI_P(0);
    t_59 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_58) ? NULL : t_58,PMC_IS_NULL(t_59) ? NULL : t_59);
    
    
    
}
static void
pcf_v_JPI(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_61;
    INTVAL t_62;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_61 = GET_NCI_P(0);
    t_62 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_61) ? NULL : t_61,t_62);
    
    
    
}
static void
pcf_v_JPS(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_64;
    STRING *t_65;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_64 = GET_NCI_P(0);
    t_65 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_64) ? NULL : t_64,t_65);
    
    
    
}
static void
pcf_v_JPN(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, FLOATVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_67;
    FLOATVAL t_68;
    Parrot_init_arg_nci(interp, &st, "PN");
    t_67 = GET_NCI_P(0);
    t_68 = GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_67) ? NULL : t_67,t_68);
    
    
    
}
static void
pcf_P_JPPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_70;
    PMC *t_71;
    PMC *t_72;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_70 = GET_NCI_P(0);
    t_71 = GET_NCI_P(1);
    t_72 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_70) ? NULL : t_70,PMC_IS_NULL(t_71) ? NULL : t_71,PMC_IS_NULL(t_72) ? NULL : t_72);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JPIP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, INTVAL, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_74;
    INTVAL t_75;
    PMC *t_76;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_74 = GET_NCI_P(0);
    t_75 = GET_NCI_I(1);
    t_76 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_74) ? NULL : t_74,t_75,PMC_IS_NULL(t_76) ? NULL : t_76);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JPSP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_78;
    STRING *t_79;
    PMC *t_80;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_78 = GET_NCI_P(0);
    t_79 = GET_NCI_S(1);
    t_80 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_78) ? NULL : t_78,t_79,PMC_IS_NULL(t_80) ? NULL : t_80);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JPNP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, FLOATVAL, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_82;
    FLOATVAL t_83;
    PMC *t_84;
    Parrot_init_arg_nci(interp, &st, "PNP");
    t_82 = GET_NCI_P(0);
    t_83 = GET_NCI_N(1);
    t_84 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_82) ? NULL : t_82,t_83,PMC_IS_NULL(t_84) ? NULL : t_84);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_I_JPP(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_86;
    PMC *t_87;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_86 = GET_NCI_P(0);
    t_87 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_86) ? NULL : t_86,PMC_IS_NULL(t_87) ? NULL : t_87);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JP(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_89;
    Parrot_init_arg_nci(interp, &st, "P");
    t_89 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_89) ? NULL : t_89);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_JP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_91;
    Parrot_init_arg_nci(interp, &st, "P");
    t_91 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_91) ? NULL : t_91);
    
    
    
}
static void
pcf_i_JPi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_93;
    int t_94;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_93 = GET_NCI_P(0);
    t_94 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_93) ? NULL : t_93,t_94);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JPii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_96;
    int t_97;
    int t_98;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_96 = GET_NCI_P(0);
    t_97 = (int)GET_NCI_I(1);
    t_98 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_96) ? NULL : t_96,t_97,t_98);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JPiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_100;
    int t_101;
    int t_102;
    int t_103;
    Parrot_init_arg_nci(interp, &st, "PIII");
    t_100 = GET_NCI_P(0);
    t_101 = (int)GET_NCI_I(1);
    t_102 = (int)GET_NCI_I(2);
    t_103 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_100) ? NULL : t_100,t_101,t_102,t_103);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JPt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_105;
    char *t_106;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_105 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_106 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_105) ? NULL : t_105,t_106);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_106) string_cstring_free(t_106); } while (0);
}
static void
pcf_P_JOSSS(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, STRING *, STRING *, STRING *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_108;
    STRING *t_109;
    STRING *t_110;
    STRING *t_111;
    Parrot_init_arg_nci(interp, &st, "PSSS");
    t_108 = GET_NCI_P(0);
    t_109 = GET_NCI_S(1);
    t_110 = GET_NCI_S(2);
    t_111 = GET_NCI_S(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_108) ? NULL : t_108,t_109,t_110,t_111);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOSS(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *, STRING *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_113;
    STRING *t_114;
    STRING *t_115;
    Parrot_init_arg_nci(interp, &st, "PSS");
    t_113 = GET_NCI_P(0);
    t_114 = GET_NCI_S(1);
    t_115 = GET_NCI_S(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_113) ? NULL : t_113,t_114,t_115);
    
    
    
}
static void
pcf_S_JOI(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_117;
    INTVAL t_118;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_117 = GET_NCI_P(0);
    t_118 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_117) ? NULL : t_117,t_118);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_v_JOb(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_120;
    STRING *t_121;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_120 = GET_NCI_P(0);
    t_121 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_120) ? NULL : t_120,PObj_bufstart(t_121));
    
    
    
}
static void
pcf_i_JOPxAT_(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_123;
    PMC *t_124;
    PMC *t_125;
    Parrot_init_arg_nci(interp, &st, "PP@");
    t_123 = GET_NCI_P(0);
    t_124 = GET_NCI_P(1);
    t_125 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_123) ? NULL : t_123,PMC_IS_NULL(t_124) ? NULL : t_124,PMC_IS_NULL(t_125) ? NULL : t_125);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_I_JOPxAT_(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_127;
    PMC *t_128;
    PMC *t_129;
    Parrot_init_arg_nci(interp, &st, "PP@");
    t_127 = GET_NCI_P(0);
    t_128 = GET_NCI_P(1);
    t_129 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_127) ? NULL : t_127,PMC_IS_NULL(t_128) ? NULL : t_128,PMC_IS_NULL(t_129) ? NULL : t_129);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_I_JOIPxAT_(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, INTVAL, PMC *, PMC *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_131;
    INTVAL t_132;
    PMC *t_133;
    PMC *t_134;
    Parrot_init_arg_nci(interp, &st, "PIP@");
    t_131 = GET_NCI_P(0);
    t_132 = GET_NCI_I(1);
    t_133 = GET_NCI_P(2);
    t_134 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_131) ? NULL : t_131,t_132,PMC_IS_NULL(t_133) ? NULL : t_133,PMC_IS_NULL(t_134) ? NULL : t_134);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JO(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_136;
    Parrot_init_arg_nci(interp, &st, "P");
    t_136 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_136) ? NULL : t_136);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_138;
    PMC *t_139;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_138 = GET_NCI_P(0);
    t_139 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_138) ? NULL : t_138,PMC_IS_NULL(t_139) ? NULL : t_139);
    
    
    
}
static void
pcf_P_Ji(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, int);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    int t_141;
    Parrot_init_arg_nci(interp, &st, "I");
    t_141 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,t_141);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_i_ip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_142;
    PMC *t_143;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_142 = (int)GET_NCI_I(0);
    t_143 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_142,PMC_data(t_143));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JPip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_145;
    int t_146;
    PMC *t_147;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_145 = GET_NCI_P(0);
    t_146 = (int)GET_NCI_I(1);
    t_147 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_145) ? NULL : t_145,t_146,PMC_data(t_147));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JpP(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, void *, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_149;
    PMC *t_150;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_149 = GET_NCI_P(0);
    t_150 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_data(t_149),PMC_IS_NULL(t_150) ? NULL : t_150);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_Jpii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, void *, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_152;
    int t_153;
    int t_154;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_152 = GET_NCI_P(0);
    t_153 = (int)GET_NCI_I(1);
    t_154 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_data(t_152),t_153,t_154);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_155;
    Parrot_init_arg_nci(interp, &st, "P");
    t_155 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_155));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_tp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(char *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_156;
    PMC *t_157;
    Parrot_init_arg_nci(interp, &st, "SP");
    {STRING * s= GET_NCI_S(0); t_156 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_157 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_156,PMC_data(t_157));
    
    set_nci_I(interp, &st, return_data);
    do { if (t_156) string_cstring_free(t_156); } while (0);
}
static void
pcf_p_J(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);
    Parrot_init_arg_nci(interp, &st, "");
    

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_Jp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_160;
    Parrot_init_arg_nci(interp, &st, "P");
    t_160 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,PMC_data(t_160));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_t_J(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(PARROT_INTERP);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;
    Parrot_init_arg_nci(interp, &st, "");
    

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(interp);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_Jpti(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(PARROT_INTERP, void *, char *, int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_163;
    char *t_164;
    int t_165;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_163 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_164 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_165 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(interp,PMC_data(t_163),t_164,t_165);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_164) string_cstring_free(t_164); } while (0);
}
static void
pcf_t_p(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_166;
    Parrot_init_arg_nci(interp, &st, "P");
    t_166 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PMC_data(t_166));
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_pt(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *, char *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_167;
    char *t_168;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_167 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_168 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PMC_data(t_167),t_168);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_168) string_cstring_free(t_168); } while (0);
}
static void
pcf_v_p(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_169;
    Parrot_init_arg_nci(interp, &st, "P");
    t_169 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_169));
    
    
    
}
static void
pcf_v_pit(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, char *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_170;
    int t_171;
    char *t_172;
    Parrot_init_arg_nci(interp, &st, "PIS");
    t_170 = GET_NCI_P(0);
    t_171 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_172 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_170),t_171,t_172);
    
    
    do { if (t_172) string_cstring_free(t_172); } while (0);
}
static void
pcf_v_ptt(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, char *, char *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_173;
    char *t_174;
    char *t_175;
    Parrot_init_arg_nci(interp, &st, "PSS");
    t_173 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_174 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_175 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_173),t_174,t_175);
    
    
    do { if (t_174) string_cstring_free(t_174); } while (0);
    do { if (t_175) string_cstring_free(t_175); } while (0);
}
static void
pcf_v_Jtiiipt(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, char *, int, int, int, void *, char *);
    func_t pointer;
    call_state st;
    
    
    char *t_177;
    int t_178;
    int t_179;
    int t_180;
    PMC *t_181;
    char *t_182;
    Parrot_init_arg_nci(interp, &st, "SIIIPS");
    {STRING * s= GET_NCI_S(0); t_177 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_178 = (int)GET_NCI_I(1);
    t_179 = (int)GET_NCI_I(2);
    t_180 = (int)GET_NCI_I(3);
    t_181 = GET_NCI_P(4);
    {STRING * s= GET_NCI_S(5); t_182 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,t_177,t_178,t_179,t_180,PMC_data(t_181),t_182);
    
    
    do { if (t_177) string_cstring_free(t_177); } while (0);
    do { if (t_182) string_cstring_free(t_182); } while (0);
}
static void
pcf_p_JtP(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, char *, PMC *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_184;
    PMC *t_185;
    Parrot_init_arg_nci(interp, &st, "SP");
    {STRING * s= GET_NCI_S(0); t_184 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_185 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,t_184,PMC_IS_NULL(t_185) ? NULL : t_185);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_184) string_cstring_free(t_184); } while (0);
}
static void
pcf_P_Jtti(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, char *, char *, int);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    char *t_187;
    char *t_188;
    int t_189;
    Parrot_init_arg_nci(interp, &st, "SSI");
    {STRING * s= GET_NCI_S(0); t_187 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(1); t_188 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_189 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,t_187,t_188,t_189);
    
    set_nci_P(interp, &st, return_data);
    do { if (t_187) string_cstring_free(t_187); } while (0);
    do { if (t_188) string_cstring_free(t_188); } while (0);
}
static void
pcf_v_(PARROT_INTERP, PMC *self)
{
    void (*pointer)(void);
    
    
    
    

    pointer =  (void (*)(void))D2FPTR(PMC_struct_val(self));
     (void)(*pointer)();
    
    
}
static void
pcf_v_Jiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_191;
    int t_192;
    int t_193;
    PMC *t_194;
    Parrot_init_arg_nci(interp, &st, "IIIP");
    t_191 = (int)GET_NCI_I(0);
    t_192 = (int)GET_NCI_I(1);
    t_193 = (int)GET_NCI_I(2);
    t_194 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,t_191,t_192,t_193,PMC_data(t_194));
    
    
    
}
static void
pcf_v_i(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int);
    func_t pointer;
    call_state st;
    
    
    int t_195;
    Parrot_init_arg_nci(interp, &st, "I");
    t_195 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_195);
    
    
    
}
static void
pcf_v_ii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int);
    func_t pointer;
    call_state st;
    
    
    int t_196;
    int t_197;
    Parrot_init_arg_nci(interp, &st, "II");
    t_196 = (int)GET_NCI_I(0);
    t_197 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_196,t_197);
    
    
    
}
static void
pcf_v_illllllll(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, long, long, long, long, long, long, long, long);
    func_t pointer;
    call_state st;
    
    
    int t_198;
    long t_199;
    long t_200;
    long t_201;
    long t_202;
    long t_203;
    long t_204;
    long t_205;
    long t_206;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIII");
    t_198 = (int)GET_NCI_I(0);
    t_199 = (long)GET_NCI_I(1);
    t_200 = (long)GET_NCI_I(2);
    t_201 = (long)GET_NCI_I(3);
    t_202 = (long)GET_NCI_I(4);
    t_203 = (long)GET_NCI_I(5);
    t_204 = (long)GET_NCI_I(6);
    t_205 = (long)GET_NCI_I(7);
    t_206 = (long)GET_NCI_I(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_198,t_199,t_200,t_201,t_202,t_203,t_204,t_205,t_206);
    
    
    
}
static void
pcf_v_l(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(long);
    func_t pointer;
    call_state st;
    
    
    long t_207;
    Parrot_init_arg_nci(interp, &st, "I");
    t_207 = (long)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_207);
    
    
    
}
static void
pcf_v_pbip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, int, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_208;
    STRING *t_209;
    int t_210;
    PMC *t_211;
    Parrot_init_arg_nci(interp, &st, "PSIP");
    t_208 = GET_NCI_P(0);
    t_209 = GET_NCI_S(1);
    t_210 = (int)GET_NCI_I(2);
    t_211 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_208),PObj_bufstart(t_209),t_210,PMC_data(t_211));
    
    
    
}
static void
pcf_v_pi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_212;
    int t_213;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_212 = GET_NCI_P(0);
    t_213 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_212),t_213);
    
    
    
}
static void
pcf_v_piiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_214;
    int t_215;
    int t_216;
    int t_217;
    int t_218;
    Parrot_init_arg_nci(interp, &st, "PIIII");
    t_214 = GET_NCI_P(0);
    t_215 = (int)GET_NCI_I(1);
    t_216 = (int)GET_NCI_I(2);
    t_217 = (int)GET_NCI_I(3);
    t_218 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_214),t_215,t_216,t_217,t_218);
    
    
    
}
static void
pcf_v_pl(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, long);
    func_t pointer;
    call_state st;
    
    
    PMC *t_219;
    long t_220;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_219 = GET_NCI_P(0);
    t_220 = (long)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_219),t_220);
    
    
    
}
static void
pcf_v_pp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_221;
    PMC *t_222;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_221 = GET_NCI_P(0);
    t_222 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_221),PMC_data(t_222));
    
    
    
}
static void
pcf_i_JPP(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_224;
    PMC *t_225;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_224 = GET_NCI_P(0);
    t_225 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_224) ? NULL : t_224,PMC_IS_NULL(t_225) ? NULL : t_225);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_227;
    Parrot_init_arg_nci(interp, &st, "P");
    t_227 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_227) ? NULL : t_227);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_229;
    PMC *t_230;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_229 = GET_NCI_P(0);
    t_230 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_229) ? NULL : t_229,PMC_IS_NULL(t_230) ? NULL : t_230);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_S_JO(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_232;
    Parrot_init_arg_nci(interp, &st, "P");
    t_232 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_232) ? NULL : t_232);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_i_P(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_233;
    Parrot_init_arg_nci(interp, &st, "P");
    t_233 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_IS_NULL(t_233) ? NULL : t_233);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JOPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_235;
    PMC *t_236;
    PMC *t_237;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_235 = GET_NCI_P(0);
    t_236 = GET_NCI_P(1);
    t_237 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_235) ? NULL : t_235,PMC_IS_NULL(t_236) ? NULL : t_236,PMC_IS_NULL(t_237) ? NULL : t_237);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JOPPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_239;
    PMC *t_240;
    PMC *t_241;
    PMC *t_242;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_239 = GET_NCI_P(0);
    t_240 = GET_NCI_P(1);
    t_241 = GET_NCI_P(2);
    t_242 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_239) ? NULL : t_239,PMC_IS_NULL(t_240) ? NULL : t_240,PMC_IS_NULL(t_241) ? NULL : t_241,PMC_IS_NULL(t_242) ? NULL : t_242);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOPP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_244;
    PMC *t_245;
    PMC *t_246;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_244 = GET_NCI_P(0);
    t_245 = GET_NCI_P(1);
    t_246 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_244) ? NULL : t_244,PMC_IS_NULL(t_245) ? NULL : t_245,PMC_IS_NULL(t_246) ? NULL : t_246);
    
    
    
}
static void
pcf_v_JOPPP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_248;
    PMC *t_249;
    PMC *t_250;
    PMC *t_251;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_248 = GET_NCI_P(0);
    t_249 = GET_NCI_P(1);
    t_250 = GET_NCI_P(2);
    t_251 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_248) ? NULL : t_248,PMC_IS_NULL(t_249) ? NULL : t_249,PMC_IS_NULL(t_250) ? NULL : t_250,PMC_IS_NULL(t_251) ? NULL : t_251);
    
    
    
}
static void
pcf_P_JOPPPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_253;
    PMC *t_254;
    PMC *t_255;
    PMC *t_256;
    PMC *t_257;
    Parrot_init_arg_nci(interp, &st, "PPPPP");
    t_253 = GET_NCI_P(0);
    t_254 = GET_NCI_P(1);
    t_255 = GET_NCI_P(2);
    t_256 = GET_NCI_P(3);
    t_257 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_253) ? NULL : t_253,PMC_IS_NULL(t_254) ? NULL : t_254,PMC_IS_NULL(t_255) ? NULL : t_255,PMC_IS_NULL(t_256) ? NULL : t_256,PMC_IS_NULL(t_257) ? NULL : t_257);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JOPPPPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_259;
    PMC *t_260;
    PMC *t_261;
    PMC *t_262;
    PMC *t_263;
    PMC *t_264;
    Parrot_init_arg_nci(interp, &st, "PPPPPP");
    t_259 = GET_NCI_P(0);
    t_260 = GET_NCI_P(1);
    t_261 = GET_NCI_P(2);
    t_262 = GET_NCI_P(3);
    t_263 = GET_NCI_P(4);
    t_264 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_259) ? NULL : t_259,PMC_IS_NULL(t_260) ? NULL : t_260,PMC_IS_NULL(t_261) ? NULL : t_261,PMC_IS_NULL(t_262) ? NULL : t_262,PMC_IS_NULL(t_263) ? NULL : t_263,PMC_IS_NULL(t_264) ? NULL : t_264);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_I_JOSI(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, STRING *, INTVAL);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_266;
    STRING *t_267;
    INTVAL t_268;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_266 = GET_NCI_P(0);
    t_267 = GET_NCI_S(1);
    t_268 = GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_266) ? NULL : t_266,t_267,t_268);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JOSII(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, STRING *, INTVAL, INTVAL);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_270;
    STRING *t_271;
    INTVAL t_272;
    INTVAL t_273;
    Parrot_init_arg_nci(interp, &st, "PSII");
    t_270 = GET_NCI_P(0);
    t_271 = GET_NCI_S(1);
    t_272 = GET_NCI_I(2);
    t_273 = GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_270) ? NULL : t_270,t_271,t_272,t_273);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_p_Ji(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_275;
    Parrot_init_arg_nci(interp, &st, "I");
    t_275 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,t_275);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_Jipp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, int, void *, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_277;
    PMC *t_278;
    PMC *t_279;
    Parrot_init_arg_nci(interp, &st, "IPP");
    t_277 = (int)GET_NCI_I(0);
    t_278 = GET_NCI_P(1);
    t_279 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,t_277,PMC_data(t_278),PMC_data(t_279));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_Jbip(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, void *, int, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);STRING *t_281;
    int t_282;
    PMC *t_283;
    Parrot_init_arg_nci(interp, &st, "SIP");
    t_281 = GET_NCI_S(0);
    t_282 = (int)GET_NCI_I(1);
    t_283 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,PObj_bufstart(t_281),t_282,PMC_data(t_283));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_v_Jp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_285;
    Parrot_init_arg_nci(interp, &st, "P");
    t_285 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_data(t_285));
    
    
    
}
static void
pcf_v_JS(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, STRING *);
    func_t pointer;
    call_state st;
    
    
    STRING *t_287;
    Parrot_init_arg_nci(interp, &st, "S");
    t_287 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,t_287);
    
    
    
}
static void
pcf_t_tt(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(char *, char *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;char *t_288;
    char *t_289;
    Parrot_init_arg_nci(interp, &st, "SS");
    {STRING * s= GET_NCI_S(0); t_288 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(1); t_289 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(t_288,t_289);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_288) string_cstring_free(t_288); } while (0);
    do { if (t_289) string_cstring_free(t_289); } while (0);
}
static void
pcf_I_JOt(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, char *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_291;
    char *t_292;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_291 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_292 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_291) ? NULL : t_291,t_292);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_292) string_cstring_free(t_292); } while (0);
}
static void
pcf_v_JOSI(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *, INTVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_294;
    STRING *t_295;
    INTVAL t_296;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_294 = GET_NCI_P(0);
    t_295 = GET_NCI_S(1);
    t_296 = GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_294) ? NULL : t_294,t_295,t_296);
    
    
    
}
static void
pcf_S_JOi(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_298;
    int t_299;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_298 = GET_NCI_P(0);
    t_299 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_298) ? NULL : t_298,t_299);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_v_JOi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_301;
    int t_302;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_301 = GET_NCI_P(0);
    t_302 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_301) ? NULL : t_301,t_302);
    
    
    
}
static void
pcf_I_JO(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_304;
    Parrot_init_arg_nci(interp, &st, "P");
    t_304 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_304) ? NULL : t_304);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_N_JO(PARROT_INTERP, PMC *self)
{
    typedef FLOATVAL (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    FLOATVAL return_data;
    
    PMC *t_306;
    Parrot_init_arg_nci(interp, &st, "P");
    t_306 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (FLOATVAL)(*pointer)(interp,PMC_IS_NULL(t_306) ? NULL : t_306);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_v_JON(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, FLOATVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_308;
    FLOATVAL t_309;
    Parrot_init_arg_nci(interp, &st, "PN");
    t_308 = GET_NCI_P(0);
    t_309 = GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_308) ? NULL : t_308,t_309);
    
    
    
}
static void
pcf_P_JOi(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_311;
    int t_312;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_311 = GET_NCI_P(0);
    t_312 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_311) ? NULL : t_311,t_312);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOI(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_314;
    INTVAL t_315;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_314 = GET_NCI_P(0);
    t_315 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_314) ? NULL : t_314,t_315);
    
    
    
}
static void
pcf_P_JOI(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_317;
    INTVAL t_318;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_317 = GET_NCI_P(0);
    t_318 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_317) ? NULL : t_317,t_318);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JOIS(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, INTVAL, STRING *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_320;
    INTVAL t_321;
    STRING *t_322;
    Parrot_init_arg_nci(interp, &st, "PIS");
    t_320 = GET_NCI_P(0);
    t_321 = GET_NCI_I(1);
    t_322 = GET_NCI_S(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_320) ? NULL : t_320,t_321,t_322);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_S_JOSP(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_324;
    STRING *t_325;
    PMC *t_326;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_324 = GET_NCI_P(0);
    t_325 = GET_NCI_S(1);
    t_326 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_324) ? NULL : t_324,t_325,PMC_IS_NULL(t_326) ? NULL : t_326);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_i_(PARROT_INTERP, PMC *self)
{
    int (*pointer)(void);
    int return_data;
    
    call_state st;
    

    pointer =  (int (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (int)(*pointer)();
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_i3i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int *, int);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int t_327;
    PMC *t_328;
    int t_329;
    Parrot_init_arg_nci(interp, &st, "IPI");
    t_327 = (int)GET_NCI_I(0);
    t_328 = GET_NCI_P(1);
    t_329 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_328);
    return_data =  (int)(*pointer)(t_327,&arg1,t_329);
    PMC_int_val(t_328) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ibi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_330;
    STRING *t_331;
    int t_332;
    Parrot_init_arg_nci(interp, &st, "ISI");
    t_330 = (int)GET_NCI_I(0);
    t_331 = GET_NCI_S(1);
    t_332 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_330,PObj_bufstart(t_331),t_332);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_lttl(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(long, char *, char *, long);
    func_t pointer;
    call_state st;
    long return_data;
    
    long t_333;
    char *t_334;
    char *t_335;
    long t_336;
    Parrot_init_arg_nci(interp, &st, "ISSI");
    t_333 = (long)GET_NCI_I(0);
    {STRING * s= GET_NCI_S(1); t_334 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_335 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_336 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(t_333,t_334,t_335,t_336);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_334) string_cstring_free(t_334); } while (0);
    do { if (t_335) string_cstring_free(t_335); } while (0);
}
static void
pcf_i_pip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_337;
    int t_338;
    PMC *t_339;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_337 = GET_NCI_P(0);
    t_338 = (int)GET_NCI_I(1);
    t_339 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_337),t_338,PMC_data(t_339));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piS(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, STRING *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_340;
    int t_341;
    STRING *t_342;
    Parrot_init_arg_nci(interp, &st, "PIS");
    t_340 = GET_NCI_P(0);
    t_341 = (int)GET_NCI_I(1);
    t_342 = GET_NCI_S(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_340),t_341,t_342);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_S_i(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(int);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    int t_343;
    Parrot_init_arg_nci(interp, &st, "I");
    t_343 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(t_343);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_l_p(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *);
    func_t pointer;
    call_state st;
    long return_data;
    
    PMC *t_344;
    Parrot_init_arg_nci(interp, &st, "P");
    t_344 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(PMC_data(t_344));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_p(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(void *);
    func_t pointer;
    call_state st;
    char return_data;
    
    PMC *t_345;
    Parrot_init_arg_nci(interp, &st, "P");
    t_345 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(PMC_data(t_345));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_p_pi(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_346;
    int t_347;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_346 = GET_NCI_P(0);
    t_347 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_346),t_347);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_p(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_348;
    Parrot_init_arg_nci(interp, &st, "P");
    t_348 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_348));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_i_pttttt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *, char *, char *, char *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_349;
    char *t_350;
    char *t_351;
    char *t_352;
    char *t_353;
    char *t_354;
    Parrot_init_arg_nci(interp, &st, "PSSSSS");
    t_349 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_350 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_351 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(3); t_352 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(4); t_353 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(5); t_354 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_349),t_350,t_351,t_352,t_353,t_354);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_350) string_cstring_free(t_350); } while (0);
    do { if (t_351) string_cstring_free(t_351); } while (0);
    do { if (t_352) string_cstring_free(t_352); } while (0);
    do { if (t_353) string_cstring_free(t_353); } while (0);
    do { if (t_354) string_cstring_free(t_354); } while (0);
}
static void
pcf_c_pttt(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(void *, char *, char *, char *);
    func_t pointer;
    call_state st;
    char return_data;
    
    PMC *t_355;
    char *t_356;
    char *t_357;
    char *t_358;
    Parrot_init_arg_nci(interp, &st, "PSSS");
    t_355 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_356 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_357 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(3); t_358 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(PMC_data(t_355),t_356,t_357,t_358);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_356) string_cstring_free(t_356); } while (0);
    do { if (t_357) string_cstring_free(t_357); } while (0);
    do { if (t_358) string_cstring_free(t_358); } while (0);
}
static void
pcf_p_pttttiti(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, char *, char *, char *, int, char *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_359;
    char *t_360;
    char *t_361;
    char *t_362;
    char *t_363;
    int t_364;
    char *t_365;
    int t_366;
    Parrot_init_arg_nci(interp, &st, "PSSSSISI");
    t_359 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_360 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_361 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(3); t_362 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(4); t_363 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_364 = (int)GET_NCI_I(5);
    {STRING * s= GET_NCI_S(6); t_365 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_366 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_359),t_360,t_361,t_362,t_363,t_364,t_365,t_366);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_360) string_cstring_free(t_360); } while (0);
    do { if (t_361) string_cstring_free(t_361); } while (0);
    do { if (t_362) string_cstring_free(t_362); } while (0);
    do { if (t_363) string_cstring_free(t_363); } while (0);
    do { if (t_365) string_cstring_free(t_365); } while (0);
}
static void
pcf_i_pt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_367;
    char *t_368;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_367 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_368 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_367),t_368);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_368) string_cstring_free(t_368); } while (0);
}
static void
pcf_i_ptl(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_369;
    char *t_370;
    long t_371;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_369 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_370 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_371 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_369),t_370,t_371);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_370) string_cstring_free(t_370); } while (0);
}
static void
pcf_i_pi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_372;
    int t_373;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_372 = GET_NCI_P(0);
    t_373 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_372),t_373);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pl(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_374;
    long t_375;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_374 = GET_NCI_P(0);
    t_375 = (long)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_374),t_375);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_(PARROT_INTERP, PMC *self)
{
    long (*pointer)(void);
    long return_data;
    
    call_state st;
    

    pointer =  (long (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (long)(*pointer)();
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_p_pt(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_376;
    char *t_377;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_376 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_377 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_376),t_377);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_377) string_cstring_free(t_377); } while (0);
}
static void
pcf_p_ptt(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_378;
    char *t_379;
    char *t_380;
    Parrot_init_arg_nci(interp, &st, "PSS");
    t_378 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_379 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_380 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_378),t_379,t_380);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_379) string_cstring_free(t_379); } while (0);
    do { if (t_380) string_cstring_free(t_380); } while (0);
}
static void
pcf_i_pit(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_381;
    int t_382;
    char *t_383;
    Parrot_init_arg_nci(interp, &st, "PIS");
    t_381 = GET_NCI_P(0);
    t_382 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_383 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_381),t_382,t_383);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_383) string_cstring_free(t_383); } while (0);
}
static void
pcf_p_pp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_384;
    PMC *t_385;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_384 = GET_NCI_P(0);
    t_385 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_384),PMC_data(t_385));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_l_ttl(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(char *, char *, long);
    func_t pointer;
    call_state st;
    long return_data;
    
    char *t_386;
    char *t_387;
    long t_388;
    Parrot_init_arg_nci(interp, &st, "SSI");
    {STRING * s= GET_NCI_S(0); t_386 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(1); t_387 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_388 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(t_386,t_387,t_388);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_386) string_cstring_free(t_386); } while (0);
    do { if (t_387) string_cstring_free(t_387); } while (0);
}
static void
pcf_l_pttl(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *, char *, char *, long);
    func_t pointer;
    call_state st;
    long return_data;
    
    PMC *t_389;
    char *t_390;
    char *t_391;
    long t_392;
    Parrot_init_arg_nci(interp, &st, "PSSI");
    t_389 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_390 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_391 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_392 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(PMC_data(t_389),t_390,t_391,t_392);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_390) string_cstring_free(t_390); } while (0);
    do { if (t_391) string_cstring_free(t_391); } while (0);
}
static void
pcf_v_t(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char *);
    func_t pointer;
    call_state st;
    
    
    char *t_393;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_393 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_393);
    
    
    do { if (t_393) string_cstring_free(t_393); } while (0);
}
static void
pcf_p_tiB3P(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, int, void **, int *, PMC *);
    func_t pointer;
    call_state st;
    void * return_data;
    int arg3;
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_394;
    int t_395;
    STRING *t_396;
    PMC *t_397;
    PMC *t_398;
    Parrot_init_arg_nci(interp, &st, "SISPP");
    {STRING * s= GET_NCI_S(0); t_394 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_395 = (int)GET_NCI_I(1);
    t_396 = GET_NCI_S(2);
    t_397 = GET_NCI_P(3);
    t_398 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg3 = PMC_int_val(t_397);
    return_data =  (void *)(*pointer)(t_394,t_395,&PObj_bufstart(t_396),&arg3,PMC_IS_NULL(t_398) ? NULL : t_398);
    PMC_int_val(t_397) = arg3;
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_394) string_cstring_free(t_394); } while (0);
}
static void
pcf_p_tip3P(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, int, void *, int *, PMC *);
    func_t pointer;
    call_state st;
    void * return_data;
    int arg3;
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_399;
    int t_400;
    PMC *t_401;
    PMC *t_402;
    PMC *t_403;
    Parrot_init_arg_nci(interp, &st, "SIPPP");
    {STRING * s= GET_NCI_S(0); t_399 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_400 = (int)GET_NCI_I(1);
    t_401 = GET_NCI_P(2);
    t_402 = GET_NCI_P(3);
    t_403 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg3 = PMC_int_val(t_402);
    return_data =  (void *)(*pointer)(t_399,t_400,PMC_data(t_401),&arg3,PMC_IS_NULL(t_403) ? NULL : t_403);
    PMC_int_val(t_402) = arg3;
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_399) string_cstring_free(t_399); } while (0);
}
static void
pcf_i_pPtiiipi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, PMC *, char *, int, int, int, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_404;
    PMC *t_405;
    char *t_406;
    int t_407;
    int t_408;
    int t_409;
    PMC *t_410;
    int t_411;
    Parrot_init_arg_nci(interp, &st, "PPSIIIPI");
    t_404 = GET_NCI_P(0);
    t_405 = GET_NCI_P(1);
    {STRING * s= GET_NCI_S(2); t_406 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_407 = (int)GET_NCI_I(3);
    t_408 = (int)GET_NCI_I(4);
    t_409 = (int)GET_NCI_I(5);
    t_410 = GET_NCI_P(6);
    t_411 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_404),PMC_IS_NULL(t_405) ? NULL : t_405,t_406,t_407,t_408,t_409,PMC_data(t_410),t_411);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_406) string_cstring_free(t_406); } while (0);
}
static void
pcf_i_tpiibi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(char *, void *, int, int, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_412;
    PMC *t_413;
    int t_414;
    int t_415;
    STRING *t_416;
    int t_417;
    Parrot_init_arg_nci(interp, &st, "SPIISI");
    {STRING * s= GET_NCI_S(0); t_412 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_413 = GET_NCI_P(1);
    t_414 = (int)GET_NCI_I(2);
    t_415 = (int)GET_NCI_I(3);
    t_416 = GET_NCI_S(4);
    t_417 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_412,PMC_data(t_413),t_414,t_415,PObj_bufstart(t_416),t_417);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_412) string_cstring_free(t_412); } while (0);
}
static void
pcf_p_ptippppi(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, int, void *, void *, void *, void *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_418;
    char *t_419;
    int t_420;
    PMC *t_421;
    PMC *t_422;
    PMC *t_423;
    PMC *t_424;
    int t_425;
    Parrot_init_arg_nci(interp, &st, "PSIPPPPI");
    t_418 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_419 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_420 = (int)GET_NCI_I(2);
    t_421 = GET_NCI_P(3);
    t_422 = GET_NCI_P(4);
    t_423 = GET_NCI_P(5);
    t_424 = GET_NCI_P(6);
    t_425 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_418),t_419,t_420,PMC_data(t_421),PMC_data(t_422),PMC_data(t_423),PMC_data(t_424),t_425);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_419) string_cstring_free(t_419); } while (0);
}
static void
pcf_p_pi33ipi(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, int, int *, int *, int, void *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    int arg2;
    int arg3;
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_426;
    int t_427;
    PMC *t_428;
    PMC *t_429;
    int t_430;
    PMC *t_431;
    int t_432;
    Parrot_init_arg_nci(interp, &st, "PIPPIPI");
    t_426 = GET_NCI_P(0);
    t_427 = (int)GET_NCI_I(1);
    t_428 = GET_NCI_P(2);
    t_429 = GET_NCI_P(3);
    t_430 = (int)GET_NCI_I(4);
    t_431 = GET_NCI_P(5);
    t_432 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_428);
    arg3 = PMC_int_val(t_429);
    return_data =  (void *)(*pointer)(PMC_data(t_426),t_427,&arg2,&arg3,t_430,PMC_data(t_431),t_432);
    PMC_int_val(t_428) = arg2;
    PMC_int_val(t_429) = arg3;
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_pttip(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, char *, int, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_433;
    char *t_434;
    char *t_435;
    int t_436;
    PMC *t_437;
    Parrot_init_arg_nci(interp, &st, "PSSIP");
    t_433 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_434 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_435 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_436 = (int)GET_NCI_I(3);
    t_437 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_433),t_434,t_435,t_436,PMC_data(t_437));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_434) string_cstring_free(t_434); } while (0);
    do { if (t_435) string_cstring_free(t_435); } while (0);
}
static void
pcf_p_ptipppi(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, int, void *, void *, void *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_438;
    char *t_439;
    int t_440;
    PMC *t_441;
    PMC *t_442;
    PMC *t_443;
    int t_444;
    Parrot_init_arg_nci(interp, &st, "PSIPPPI");
    t_438 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_439 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_440 = (int)GET_NCI_I(2);
    t_441 = GET_NCI_P(3);
    t_442 = GET_NCI_P(4);
    t_443 = GET_NCI_P(5);
    t_444 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_438),t_439,t_440,PMC_data(t_441),PMC_data(t_442),PMC_data(t_443),t_444);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_439) string_cstring_free(t_439); } while (0);
}
static void
pcf_p_ppP(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, void *, PMC *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_445;
    PMC *t_446;
    PMC *t_447;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_445 = GET_NCI_P(0);
    t_446 = GET_NCI_P(1);
    t_447 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_445),PMC_data(t_446),PMC_IS_NULL(t_447) ? NULL : t_447);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_iiil(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int, int, long);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_448;
    int t_449;
    int t_450;
    long t_451;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_448 = (int)GET_NCI_I(0);
    t_449 = (int)GET_NCI_I(1);
    t_450 = (int)GET_NCI_I(2);
    t_451 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_448,t_449,t_450,t_451);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_i_ppl(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_452;
    PMC *t_453;
    long t_454;
    Parrot_init_arg_nci(interp, &st, "PPI");
    t_452 = GET_NCI_P(0);
    t_453 = GET_NCI_P(1);
    t_454 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_452),PMC_data(t_453),t_454);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_pip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_455;
    int t_456;
    PMC *t_457;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_455 = GET_NCI_P(0);
    t_456 = (int)GET_NCI_I(1);
    t_457 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_455),t_456,PMC_data(t_457));
    
    
    
}
static void
pcf_p_pti(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_458;
    char *t_459;
    int t_460;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_458 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_459 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_460 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_458),t_459,t_460);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_459) string_cstring_free(t_459); } while (0);
}
static void
pcf_i_ppp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_461;
    PMC *t_462;
    PMC *t_463;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_461 = GET_NCI_P(0);
    t_462 = GET_NCI_P(1);
    t_463 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_461),PMC_data(t_462),PMC_data(t_463));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_p_ti(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_464;
    int t_465;
    Parrot_init_arg_nci(interp, &st, "SI");
    {STRING * s= GET_NCI_S(0); t_464 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_465 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_464,t_465);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_464) string_cstring_free(t_464); } while (0);
}
static void
pcf_p_ptp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_466;
    char *t_467;
    PMC *t_468;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_466 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_467 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_468 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_466),t_467,PMC_data(t_468));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_467) string_cstring_free(t_467); } while (0);
}
static void
pcf_i_pt33(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *, int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg2;
    int arg3;
    PMC *t_469;
    char *t_470;
    PMC *t_471;
    PMC *t_472;
    Parrot_init_arg_nci(interp, &st, "PSPP");
    t_469 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_470 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_471 = GET_NCI_P(2);
    t_472 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_471);
    arg3 = PMC_int_val(t_472);
    return_data =  (int)(*pointer)(PMC_data(t_469),t_470,&arg2,&arg3);
    PMC_int_val(t_471) = arg2;
    PMC_int_val(t_472) = arg3;
    set_nci_I(interp, &st, return_data);
    do { if (t_470) string_cstring_free(t_470); } while (0);
}
static void
pcf_c_(PARROT_INTERP, PMC *self)
{
    char (*pointer)(void);
    char return_data;
    
    call_state st;
    

    pointer =  (char (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (char)(*pointer)();
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_pi(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    char return_data;
    
    PMC *t_473;
    int t_474;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_473 = GET_NCI_P(0);
    t_474 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(PMC_data(t_473),t_474);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_d_(PARROT_INTERP, PMC *self)
{
    double (*pointer)(void);
    double return_data;
    
    call_state st;
    

    pointer =  (double (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (double)(*pointer)();
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_d_d(PARROT_INTERP, PMC *self)
{
    typedef double (*func_t)(double);
    func_t pointer;
    call_state st;
    double return_data;
    
    double t_475;
    Parrot_init_arg_nci(interp, &st, "N");
    t_475 = (double)GET_NCI_N(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (double)(*pointer)(t_475);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_f_(PARROT_INTERP, PMC *self)
{
    float (*pointer)(void);
    float return_data;
    
    call_state st;
    

    pointer =  (float (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (float)(*pointer)();
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_f_ff(PARROT_INTERP, PMC *self)
{
    typedef float (*func_t)(float, float);
    func_t pointer;
    call_state st;
    float return_data;
    
    float t_476;
    float t_477;
    Parrot_init_arg_nci(interp, &st, "NN");
    t_476 = (float)GET_NCI_N(0);
    t_477 = (float)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (float)(*pointer)(t_476,t_477);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_f_is(PARROT_INTERP, PMC *self)
{
    typedef float (*func_t)(int, short);
    func_t pointer;
    call_state st;
    float return_data;
    
    int t_478;
    short t_479;
    Parrot_init_arg_nci(interp, &st, "II");
    t_478 = (int)GET_NCI_I(0);
    t_479 = (short)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (float)(*pointer)(t_478,t_479);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_i_b(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    STRING *t_480;
    Parrot_init_arg_nci(interp, &st, "S");
    t_480 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PObj_bufstart(t_480));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_d(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(double);
    func_t pointer;
    call_state st;
    int return_data;
    
    double t_481;
    Parrot_init_arg_nci(interp, &st, "N");
    t_481 = (double)GET_NCI_N(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_481);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_482;
    Parrot_init_arg_nci(interp, &st, "I");
    t_482 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_482);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_483;
    int t_484;
    Parrot_init_arg_nci(interp, &st, "II");
    t_483 = (int)GET_NCI_I(0);
    t_484 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_483,t_484);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ii4(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, long *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg2;
    int t_485;
    int t_486;
    PMC *t_487;
    Parrot_init_arg_nci(interp, &st, "IIP");
    t_485 = (int)GET_NCI_I(0);
    t_486 = (int)GET_NCI_I(1);
    t_487 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_487);
    return_data =  (int)(*pointer)(t_485,t_486,&arg2);
    PMC_int_val(t_487) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ii4i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, long *, int);
    func_t pointer;
    call_state st;
    int return_data;
    long arg2;
    int t_488;
    int t_489;
    PMC *t_490;
    int t_491;
    Parrot_init_arg_nci(interp, &st, "IIPI");
    t_488 = (int)GET_NCI_I(0);
    t_489 = (int)GET_NCI_I(1);
    t_490 = GET_NCI_P(2);
    t_491 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_490);
    return_data =  (int)(*pointer)(t_488,t_489,&arg2,t_491);
    PMC_int_val(t_490) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_492;
    int t_493;
    int t_494;
    int t_495;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_492 = (int)GET_NCI_I(0);
    t_493 = (int)GET_NCI_I(1);
    t_494 = (int)GET_NCI_I(2);
    t_495 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_492,t_493,t_494,t_495);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiilsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_496;
    int t_497;
    int t_498;
    long t_499;
    short t_500;
    PMC *t_501;
    Parrot_init_arg_nci(interp, &st, "IIIIIP");
    t_496 = (int)GET_NCI_I(0);
    t_497 = (int)GET_NCI_I(1);
    t_498 = (int)GET_NCI_I(2);
    t_499 = (long)GET_NCI_I(3);
    t_500 = (short)GET_NCI_I(4);
    t_501 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_496,t_497,t_498,t_499,t_500,PMC_data(t_501));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iil(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_502;
    int t_503;
    long t_504;
    Parrot_init_arg_nci(interp, &st, "III");
    t_502 = (int)GET_NCI_I(0);
    t_503 = (int)GET_NCI_I(1);
    t_504 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_502,t_503,t_504);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iili(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, long, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_505;
    int t_506;
    long t_507;
    int t_508;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_505 = (int)GET_NCI_I(0);
    t_506 = (int)GET_NCI_I(1);
    t_507 = (long)GET_NCI_I(2);
    t_508 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_505,t_506,t_507,t_508);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_509;
    int t_510;
    PMC *t_511;
    Parrot_init_arg_nci(interp, &st, "IIP");
    t_509 = (int)GET_NCI_I(0);
    t_510 = (int)GET_NCI_I(1);
    t_511 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_509,t_510,PMC_data(t_511));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iit(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_512;
    int t_513;
    char *t_514;
    Parrot_init_arg_nci(interp, &st, "IIS");
    t_512 = (int)GET_NCI_I(0);
    t_513 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_514 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_512,t_513,t_514);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_514) string_cstring_free(t_514); } while (0);
}
static void
pcf_i_iiti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_515;
    int t_516;
    char *t_517;
    int t_518;
    Parrot_init_arg_nci(interp, &st, "IISI");
    t_515 = (int)GET_NCI_I(0);
    t_516 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_517 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_518 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_515,t_516,t_517,t_518);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_517) string_cstring_free(t_517); } while (0);
}
static void
pcf_i_ilsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_519;
    long t_520;
    short t_521;
    PMC *t_522;
    Parrot_init_arg_nci(interp, &st, "IIIP");
    t_519 = (int)GET_NCI_I(0);
    t_520 = (long)GET_NCI_I(1);
    t_521 = (short)GET_NCI_I(2);
    t_522 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_519,t_520,t_521,PMC_data(t_522));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_523;
    char *t_524;
    int t_525;
    Parrot_init_arg_nci(interp, &st, "ISI");
    t_523 = (int)GET_NCI_I(0);
    {STRING * s= GET_NCI_S(1); t_524 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_525 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_523,t_524,t_525);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_524) string_cstring_free(t_524); } while (0);
}
static void
pcf_i_l(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long);
    func_t pointer;
    call_state st;
    int return_data;
    
    long t_526;
    Parrot_init_arg_nci(interp, &st, "I");
    t_526 = (long)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_526);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_li(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    long t_527;
    int t_528;
    Parrot_init_arg_nci(interp, &st, "II");
    t_527 = (long)GET_NCI_I(0);
    t_528 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_527,t_528);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_lp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    long t_529;
    PMC *t_530;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_529 = (long)GET_NCI_I(0);
    t_530 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_529,PMC_data(t_530));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_lsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    long t_531;
    short t_532;
    PMC *t_533;
    Parrot_init_arg_nci(interp, &st, "IIP");
    t_531 = (long)GET_NCI_I(0);
    t_532 = (short)GET_NCI_I(1);
    t_533 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_531,t_532,PMC_data(t_533));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p33(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int arg2;
    PMC *t_534;
    PMC *t_535;
    PMC *t_536;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_534 = GET_NCI_P(0);
    t_535 = GET_NCI_P(1);
    t_536 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_535);
    arg2 = PMC_int_val(t_536);
    return_data =  (int)(*pointer)(PMC_data(t_534),&arg1,&arg2);
    PMC_int_val(t_535) = arg1;
    PMC_int_val(t_536) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p333(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int *, int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int arg2;
    int arg3;
    PMC *t_537;
    PMC *t_538;
    PMC *t_539;
    PMC *t_540;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_537 = GET_NCI_P(0);
    t_538 = GET_NCI_P(1);
    t_539 = GET_NCI_P(2);
    t_540 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_538);
    arg2 = PMC_int_val(t_539);
    arg3 = PMC_int_val(t_540);
    return_data =  (int)(*pointer)(PMC_data(t_537),&arg1,&arg2,&arg3);
    PMC_int_val(t_538) = arg1;
    PMC_int_val(t_539) = arg2;
    PMC_int_val(t_540) = arg3;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p333333(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int *, int *, int *, int *, int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int arg2;
    int arg3;
    int arg4;
    int arg5;
    int arg6;
    PMC *t_541;
    PMC *t_542;
    PMC *t_543;
    PMC *t_544;
    PMC *t_545;
    PMC *t_546;
    PMC *t_547;
    Parrot_init_arg_nci(interp, &st, "PPPPPPP");
    t_541 = GET_NCI_P(0);
    t_542 = GET_NCI_P(1);
    t_543 = GET_NCI_P(2);
    t_544 = GET_NCI_P(3);
    t_545 = GET_NCI_P(4);
    t_546 = GET_NCI_P(5);
    t_547 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_542);
    arg2 = PMC_int_val(t_543);
    arg3 = PMC_int_val(t_544);
    arg4 = PMC_int_val(t_545);
    arg5 = PMC_int_val(t_546);
    arg6 = PMC_int_val(t_547);
    return_data =  (int)(*pointer)(PMC_data(t_541),&arg1,&arg2,&arg3,&arg4,&arg5,&arg6);
    PMC_int_val(t_542) = arg1;
    PMC_int_val(t_543) = arg2;
    PMC_int_val(t_544) = arg3;
    PMC_int_val(t_545) = arg4;
    PMC_int_val(t_546) = arg5;
    PMC_int_val(t_547) = arg6;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p4(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg1;
    PMC *t_548;
    PMC *t_549;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_548 = GET_NCI_P(0);
    t_549 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_549);
    return_data =  (int)(*pointer)(PMC_data(t_548),&arg1);
    PMC_int_val(t_549) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p42p(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long *, short *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg1;
    short arg2;
    PMC *t_550;
    PMC *t_551;
    PMC* t_552;
    PMC *t_553;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_550 = GET_NCI_P(0);
    t_551 = GET_NCI_P(1);
    t_552 = GET_NCI_P(2);
    t_553 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_551);
    arg2 = (short)PMC_int_val(t_552);
    return_data =  (int)(*pointer)(PMC_data(t_550),&arg1,&arg2,PMC_data(t_553));
    PMC_int_val(t_551) = arg1;
    PMC_int_val(t_552) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p4i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long *, int);
    func_t pointer;
    call_state st;
    int return_data;
    long arg1;
    PMC *t_554;
    PMC *t_555;
    int t_556;
    Parrot_init_arg_nci(interp, &st, "PPI");
    t_554 = GET_NCI_P(0);
    t_555 = GET_NCI_P(1);
    t_556 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_555);
    return_data =  (int)(*pointer)(PMC_data(t_554),&arg1,t_556);
    PMC_int_val(t_555) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pb(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_557;
    STRING *t_558;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_557 = GET_NCI_P(0);
    t_558 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_557),PObj_bufstart(t_558));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_559;
    int t_560;
    int t_561;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_559 = GET_NCI_P(0);
    t_560 = (int)GET_NCI_I(1);
    t_561 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_559),t_560,t_561);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pii4(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, long *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg3;
    PMC *t_562;
    int t_563;
    int t_564;
    PMC *t_565;
    Parrot_init_arg_nci(interp, &st, "PIIP");
    t_562 = GET_NCI_P(0);
    t_563 = (int)GET_NCI_I(1);
    t_564 = (int)GET_NCI_I(2);
    t_565 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg3 = PMC_int_val(t_565);
    return_data =  (int)(*pointer)(PMC_data(t_562),t_563,t_564,&arg3);
    PMC_int_val(t_565) = arg3;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pii4i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, long *, int);
    func_t pointer;
    call_state st;
    int return_data;
    long arg3;
    PMC *t_566;
    int t_567;
    int t_568;
    PMC *t_569;
    int t_570;
    Parrot_init_arg_nci(interp, &st, "PIIPI");
    t_566 = GET_NCI_P(0);
    t_567 = (int)GET_NCI_I(1);
    t_568 = (int)GET_NCI_I(2);
    t_569 = GET_NCI_P(3);
    t_570 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg3 = PMC_int_val(t_569);
    return_data =  (int)(*pointer)(PMC_data(t_566),t_567,t_568,&arg3,t_570);
    PMC_int_val(t_569) = arg3;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_571;
    int t_572;
    int t_573;
    int t_574;
    Parrot_init_arg_nci(interp, &st, "PIII");
    t_571 = GET_NCI_P(0);
    t_572 = (int)GET_NCI_I(1);
    t_573 = (int)GET_NCI_I(2);
    t_574 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_571),t_572,t_573,t_574);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piiiiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_575;
    int t_576;
    int t_577;
    int t_578;
    int t_579;
    int t_580;
    int t_581;
    Parrot_init_arg_nci(interp, &st, "PIIIIII");
    t_575 = GET_NCI_P(0);
    t_576 = (int)GET_NCI_I(1);
    t_577 = (int)GET_NCI_I(2);
    t_578 = (int)GET_NCI_I(3);
    t_579 = (int)GET_NCI_I(4);
    t_580 = (int)GET_NCI_I(5);
    t_581 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_575),t_576,t_577,t_578,t_579,t_580,t_581);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piiilsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, int, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_582;
    int t_583;
    int t_584;
    int t_585;
    long t_586;
    short t_587;
    PMC *t_588;
    Parrot_init_arg_nci(interp, &st, "PIIIIIP");
    t_582 = GET_NCI_P(0);
    t_583 = (int)GET_NCI_I(1);
    t_584 = (int)GET_NCI_I(2);
    t_585 = (int)GET_NCI_I(3);
    t_586 = (long)GET_NCI_I(4);
    t_587 = (short)GET_NCI_I(5);
    t_588 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_582),t_583,t_584,t_585,t_586,t_587,PMC_data(t_588));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piil(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_589;
    int t_590;
    int t_591;
    long t_592;
    Parrot_init_arg_nci(interp, &st, "PIII");
    t_589 = GET_NCI_P(0);
    t_590 = (int)GET_NCI_I(1);
    t_591 = (int)GET_NCI_I(2);
    t_592 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_589),t_590,t_591,t_592);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piili(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, long, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_593;
    int t_594;
    int t_595;
    long t_596;
    int t_597;
    Parrot_init_arg_nci(interp, &st, "PIIII");
    t_593 = GET_NCI_P(0);
    t_594 = (int)GET_NCI_I(1);
    t_595 = (int)GET_NCI_I(2);
    t_596 = (long)GET_NCI_I(3);
    t_597 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_593),t_594,t_595,t_596,t_597);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piit(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_598;
    int t_599;
    int t_600;
    char *t_601;
    Parrot_init_arg_nci(interp, &st, "PIIS");
    t_598 = GET_NCI_P(0);
    t_599 = (int)GET_NCI_I(1);
    t_600 = (int)GET_NCI_I(2);
    {STRING * s= GET_NCI_S(3); t_601 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_598),t_599,t_600,t_601);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_601) string_cstring_free(t_601); } while (0);
}
static void
pcf_i_piiti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_602;
    int t_603;
    int t_604;
    char *t_605;
    int t_606;
    Parrot_init_arg_nci(interp, &st, "PIISI");
    t_602 = GET_NCI_P(0);
    t_603 = (int)GET_NCI_I(1);
    t_604 = (int)GET_NCI_I(2);
    {STRING * s= GET_NCI_S(3); t_605 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_606 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_602),t_603,t_604,t_605,t_606);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_605) string_cstring_free(t_605); } while (0);
}
static void
pcf_i_pilsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_607;
    int t_608;
    long t_609;
    short t_610;
    PMC *t_611;
    Parrot_init_arg_nci(interp, &st, "PIIIP");
    t_607 = GET_NCI_P(0);
    t_608 = (int)GET_NCI_I(1);
    t_609 = (long)GET_NCI_I(2);
    t_610 = (short)GET_NCI_I(3);
    t_611 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_607),t_608,t_609,t_610,PMC_data(t_611));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pli(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_612;
    long t_613;
    int t_614;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_612 = GET_NCI_P(0);
    t_613 = (long)GET_NCI_I(1);
    t_614 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_612),t_613,t_614);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pll(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_615;
    long t_616;
    long t_617;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_615 = GET_NCI_P(0);
    t_616 = (long)GET_NCI_I(1);
    t_617 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_615),t_616,t_617);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pllllllll(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, long, long, long, long, long, long, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_618;
    long t_619;
    long t_620;
    long t_621;
    long t_622;
    long t_623;
    long t_624;
    long t_625;
    long t_626;
    Parrot_init_arg_nci(interp, &st, "PIIIIIIII");
    t_618 = GET_NCI_P(0);
    t_619 = (long)GET_NCI_I(1);
    t_620 = (long)GET_NCI_I(2);
    t_621 = (long)GET_NCI_I(3);
    t_622 = (long)GET_NCI_I(4);
    t_623 = (long)GET_NCI_I(5);
    t_624 = (long)GET_NCI_I(6);
    t_625 = (long)GET_NCI_I(7);
    t_626 = (long)GET_NCI_I(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_618),t_619,t_620,t_621,t_622,t_623,t_624,t_625,t_626);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_plp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_627;
    long t_628;
    PMC *t_629;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_627 = GET_NCI_P(0);
    t_628 = (long)GET_NCI_I(1);
    t_629 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_627),t_628,PMC_data(t_629));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_plsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_630;
    long t_631;
    short t_632;
    PMC *t_633;
    Parrot_init_arg_nci(interp, &st, "PIIP");
    t_630 = GET_NCI_P(0);
    t_631 = (long)GET_NCI_I(1);
    t_632 = (short)GET_NCI_I(2);
    t_633 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_630),t_631,t_632,PMC_data(t_633));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_634;
    PMC *t_635;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_634 = GET_NCI_P(0);
    t_635 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_634),PMC_data(t_635));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ppi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_636;
    PMC *t_637;
    int t_638;
    Parrot_init_arg_nci(interp, &st, "PPI");
    t_636 = GET_NCI_P(0);
    t_637 = GET_NCI_P(1);
    t_638 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_636),PMC_data(t_637),t_638);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ppiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_639;
    PMC *t_640;
    int t_641;
    int t_642;
    int t_643;
    int t_644;
    int t_645;
    int t_646;
    int t_647;
    int t_648;
    Parrot_init_arg_nci(interp, &st, "PPIIIIIIII");
    t_639 = GET_NCI_P(0);
    t_640 = GET_NCI_P(1);
    t_641 = (int)GET_NCI_I(2);
    t_642 = (int)GET_NCI_I(3);
    t_643 = (int)GET_NCI_I(4);
    t_644 = (int)GET_NCI_I(5);
    t_645 = (int)GET_NCI_I(6);
    t_646 = (int)GET_NCI_I(7);
    t_647 = (int)GET_NCI_I(8);
    t_648 = (int)GET_NCI_I(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_639),PMC_data(t_640),t_641,t_642,t_643,t_644,t_645,t_646,t_647,t_648);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pppp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_649;
    PMC *t_650;
    PMC *t_651;
    PMC *t_652;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_649 = GET_NCI_P(0);
    t_650 = GET_NCI_P(1);
    t_651 = GET_NCI_P(2);
    t_652 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_649),PMC_data(t_650),PMC_data(t_651),PMC_data(t_652));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_psp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_653;
    short t_654;
    PMC *t_655;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_653 = GET_NCI_P(0);
    t_654 = (short)GET_NCI_I(1);
    t_655 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_653),t_654,PMC_data(t_655));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_656;
    char *t_657;
    int t_658;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_656 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_657 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_658 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_656),t_657,t_658);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_657) string_cstring_free(t_657); } while (0);
}
static void
pcf_i_pitl(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, char *, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_659;
    int t_660;
    char *t_661;
    long t_662;
    Parrot_init_arg_nci(interp, &st, "PISI");
    t_659 = GET_NCI_P(0);
    t_660 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_661 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_662 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_659),t_660,t_661,t_662);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_661) string_cstring_free(t_661); } while (0);
}
static void
pcf_i_s(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_663;
    Parrot_init_arg_nci(interp, &st, "I");
    t_663 = (short)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_663);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_s22(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, short *, short *);
    func_t pointer;
    call_state st;
    int return_data;
    short arg1;
    short arg2;
    short t_664;
    PMC* t_665;
    PMC* t_666;
    Parrot_init_arg_nci(interp, &st, "IPP");
    t_664 = (short)GET_NCI_I(0);
    t_665 = GET_NCI_P(1);
    t_666 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = (short)PMC_int_val(t_665);
    arg2 = (short)PMC_int_val(t_666);
    return_data =  (int)(*pointer)(t_664,&arg1,&arg2);
    PMC_int_val(t_665) = arg1;
    PMC_int_val(t_666) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_s222(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, short *, short *, short *);
    func_t pointer;
    call_state st;
    int return_data;
    short arg1;
    short arg2;
    short arg3;
    short t_667;
    PMC* t_668;
    PMC* t_669;
    PMC* t_670;
    Parrot_init_arg_nci(interp, &st, "IPPP");
    t_667 = (short)GET_NCI_I(0);
    t_668 = GET_NCI_P(1);
    t_669 = GET_NCI_P(2);
    t_670 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = (short)PMC_int_val(t_668);
    arg2 = (short)PMC_int_val(t_669);
    arg3 = (short)PMC_int_val(t_670);
    return_data =  (int)(*pointer)(t_667,&arg1,&arg2,&arg3);
    PMC_int_val(t_668) = arg1;
    PMC_int_val(t_669) = arg2;
    PMC_int_val(t_670) = arg3;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_sp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_671;
    PMC *t_672;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_671 = (short)GET_NCI_I(0);
    t_672 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_671,PMC_data(t_672));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_sss(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, short, short);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_673;
    short t_674;
    short t_675;
    Parrot_init_arg_nci(interp, &st, "III");
    t_673 = (short)GET_NCI_I(0);
    t_674 = (short)GET_NCI_I(1);
    t_675 = (short)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_673,t_674,t_675);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ssss(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, short, short, short);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_676;
    short t_677;
    short t_678;
    short t_679;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_676 = (short)GET_NCI_I(0);
    t_677 = (short)GET_NCI_I(1);
    t_678 = (short)GET_NCI_I(2);
    t_679 = (short)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_676,t_677,t_678,t_679);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_t(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_680;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_680 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_680);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_680) string_cstring_free(t_680); } while (0);
}
static void
pcf_i_ti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_681;
    int t_682;
    Parrot_init_arg_nci(interp, &st, "SI");
    {STRING * s= GET_NCI_S(0); t_681 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_682 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_681,t_682);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_681) string_cstring_free(t_681); } while (0);
}
static void
pcf_i_4(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg0;
    PMC *t_683;
    Parrot_init_arg_nci(interp, &st, "P");
    t_683 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_683);
    return_data =  (int)(*pointer)(&arg0);
    PMC_int_val(t_683) = arg0;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_4i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long *, int);
    func_t pointer;
    call_state st;
    int return_data;
    long arg0;
    PMC *t_684;
    int t_685;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_684 = GET_NCI_P(0);
    t_685 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_684);
    return_data =  (int)(*pointer)(&arg0,t_685);
    PMC_int_val(t_684) = arg0;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_42p(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long *, short *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg0;
    short arg1;
    PMC *t_686;
    PMC* t_687;
    PMC *t_688;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_686 = GET_NCI_P(0);
    t_687 = GET_NCI_P(1);
    t_688 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_686);
    arg1 = (short)PMC_int_val(t_687);
    return_data =  (int)(*pointer)(&arg0,&arg1,PMC_data(t_688));
    PMC_int_val(t_686) = arg0;
    PMC_int_val(t_687) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_ii(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(int, int);
    func_t pointer;
    call_state st;
    long return_data;
    
    int t_689;
    int t_690;
    Parrot_init_arg_nci(interp, &st, "II");
    t_689 = (int)GET_NCI_I(0);
    t_690 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(t_689,t_690);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_l4(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(long, long *);
    func_t pointer;
    call_state st;
    long return_data;
    long arg1;
    long t_691;
    PMC *t_692;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_691 = (long)GET_NCI_I(0);
    t_692 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_692);
    return_data =  (long)(*pointer)(t_691,&arg1);
    PMC_int_val(t_692) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_pi(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    long return_data;
    
    PMC *t_693;
    int t_694;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_693 = GET_NCI_P(0);
    t_694 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(PMC_data(t_693),t_694);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_pii(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    long return_data;
    
    PMC *t_695;
    int t_696;
    int t_697;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_695 = GET_NCI_P(0);
    t_696 = (int)GET_NCI_I(1);
    t_697 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(PMC_data(t_695),t_696,t_697);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_p33l(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *, int *, int *, long);
    func_t pointer;
    call_state st;
    long return_data;
    int arg1;
    int arg2;
    PMC *t_698;
    PMC *t_699;
    PMC *t_700;
    long t_701;
    Parrot_init_arg_nci(interp, &st, "PPPI");
    t_698 = GET_NCI_P(0);
    t_699 = GET_NCI_P(1);
    t_700 = GET_NCI_P(2);
    t_701 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_699);
    arg2 = PMC_int_val(t_700);
    return_data =  (long)(*pointer)(PMC_data(t_698),&arg1,&arg2,t_701);
    PMC_int_val(t_699) = arg1;
    PMC_int_val(t_700) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_33l(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(int *, int *, long);
    func_t pointer;
    call_state st;
    long return_data;
    int arg0;
    int arg1;
    PMC *t_702;
    PMC *t_703;
    long t_704;
    Parrot_init_arg_nci(interp, &st, "PPI");
    t_702 = GET_NCI_P(0);
    t_703 = GET_NCI_P(1);
    t_704 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_702);
    arg1 = PMC_int_val(t_703);
    return_data =  (long)(*pointer)(&arg0,&arg1,t_704);
    PMC_int_val(t_702) = arg0;
    PMC_int_val(t_703) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_p_(PARROT_INTERP, PMC *self)
{
    void * (*pointer)(void);
    void * return_data;
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);
    call_state st;
    

    pointer =  (void * (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (void *)(*pointer)();
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_B(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void **);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);STRING *t_705;
    Parrot_init_arg_nci(interp, &st, "S");
    t_705 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(&PObj_bufstart(t_705));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_b(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);STRING *t_706;
    Parrot_init_arg_nci(interp, &st, "S");
    t_706 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PObj_bufstart(t_706));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_Jt(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_708;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_708 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,t_708);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_708) string_cstring_free(t_708); } while (0);
}
static void
pcf_p_i(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_709;
    Parrot_init_arg_nci(interp, &st, "I");
    t_709 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_709);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_ii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_710;
    int t_711;
    Parrot_init_arg_nci(interp, &st, "II");
    t_710 = (int)GET_NCI_I(0);
    t_711 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_710,t_711);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_iiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_712;
    int t_713;
    int t_714;
    int t_715;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_712 = (int)GET_NCI_I(0);
    t_713 = (int)GET_NCI_I(1);
    t_714 = (int)GET_NCI_I(2);
    t_715 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_712,t_713,t_714,t_715);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_iiiiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_716;
    int t_717;
    int t_718;
    int t_719;
    int t_720;
    int t_721;
    Parrot_init_arg_nci(interp, &st, "IIIIII");
    t_716 = (int)GET_NCI_I(0);
    t_717 = (int)GET_NCI_I(1);
    t_718 = (int)GET_NCI_I(2);
    t_719 = (int)GET_NCI_I(3);
    t_720 = (int)GET_NCI_I(4);
    t_721 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_716,t_717,t_718,t_719,t_720,t_721);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_iiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_722;
    int t_723;
    int t_724;
    int t_725;
    int t_726;
    int t_727;
    int t_728;
    int t_729;
    Parrot_init_arg_nci(interp, &st, "IIIIIIII");
    t_722 = (int)GET_NCI_I(0);
    t_723 = (int)GET_NCI_I(1);
    t_724 = (int)GET_NCI_I(2);
    t_725 = (int)GET_NCI_I(3);
    t_726 = (int)GET_NCI_I(4);
    t_727 = (int)GET_NCI_I(5);
    t_728 = (int)GET_NCI_I(6);
    t_729 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_722,t_723,t_724,t_725,t_726,t_727,t_728,t_729);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_pii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_730;
    int t_731;
    int t_732;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_730 = GET_NCI_P(0);
    t_731 = (int)GET_NCI_I(1);
    t_732 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_730),t_731,t_732);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_piiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_733;
    int t_734;
    int t_735;
    int t_736;
    int t_737;
    Parrot_init_arg_nci(interp, &st, "PIIII");
    t_733 = GET_NCI_P(0);
    t_734 = (int)GET_NCI_I(1);
    t_735 = (int)GET_NCI_I(2);
    t_736 = (int)GET_NCI_I(3);
    t_737 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_733),t_734,t_735,t_736,t_737);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_t(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_738;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_738 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_738);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_738) string_cstring_free(t_738); } while (0);
}
static void
pcf_p_tpp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, void *, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_739;
    PMC *t_740;
    PMC *t_741;
    Parrot_init_arg_nci(interp, &st, "SPP");
    {STRING * s= GET_NCI_S(0); t_739 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_740 = GET_NCI_P(1);
    t_741 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_739,PMC_data(t_740),PMC_data(t_741));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_739) string_cstring_free(t_739); } while (0);
}
static void
pcf_p_ttttttt(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, char *, char *, char *, char *, char *, char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_742;
    char *t_743;
    char *t_744;
    char *t_745;
    char *t_746;
    char *t_747;
    char *t_748;
    Parrot_init_arg_nci(interp, &st, "SSSSSSS");
    {STRING * s= GET_NCI_S(0); t_742 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(1); t_743 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_744 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(3); t_745 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(4); t_746 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(5); t_747 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(6); t_748 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_742,t_743,t_744,t_745,t_746,t_747,t_748);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_742) string_cstring_free(t_742); } while (0);
    do { if (t_743) string_cstring_free(t_743); } while (0);
    do { if (t_744) string_cstring_free(t_744); } while (0);
    do { if (t_745) string_cstring_free(t_745); } while (0);
    do { if (t_746) string_cstring_free(t_746); } while (0);
    do { if (t_747) string_cstring_free(t_747); } while (0);
    do { if (t_748) string_cstring_free(t_748); } while (0);
}
static void
pcf_s_(PARROT_INTERP, PMC *self)
{
    short (*pointer)(void);
    short return_data;
    
    call_state st;
    

    pointer =  (short (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (short)(*pointer)();
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_t_(PARROT_INTERP, PMC *self)
{
    char * (*pointer)(void);
    char * return_data;
    STRING *final_destination;
    call_state st;
    

    pointer =  (char * (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (char *)(*pointer)();
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_i(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;int t_749;
    Parrot_init_arg_nci(interp, &st, "I");
    t_749 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(t_749);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_ii(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(int, int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;int t_750;
    int t_751;
    Parrot_init_arg_nci(interp, &st, "II");
    t_750 = (int)GET_NCI_I(0);
    t_751 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(t_750,t_751);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_pi(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_752;
    int t_753;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_752 = GET_NCI_P(0);
    t_753 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PMC_data(t_752),t_753);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_pii(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_754;
    int t_755;
    int t_756;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_754 = GET_NCI_P(0);
    t_755 = (int)GET_NCI_I(1);
    t_756 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PMC_data(t_754),t_755,t_756);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_t(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(char *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;char *t_757;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_757 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(t_757);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_757) string_cstring_free(t_757); } while (0);
}
static void
pcf_t_tl4(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(char *, long, long *);
    func_t pointer;
    call_state st;
    char * return_data;
    long arg2;
    STRING *final_destination;char *t_758;
    long t_759;
    PMC *t_760;
    Parrot_init_arg_nci(interp, &st, "SIP");
    {STRING * s= GET_NCI_S(0); t_758 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_759 = (long)GET_NCI_I(1);
    t_760 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_760);
    return_data =  (char *)(*pointer)(t_758,t_759,&arg2);
    PMC_int_val(t_760) = arg2;
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_758) string_cstring_free(t_758); } while (0);
}
static void
pcf_t_t4(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(char *, long *);
    func_t pointer;
    call_state st;
    char * return_data;
    long arg1;
    STRING *final_destination;char *t_761;
    PMC *t_762;
    Parrot_init_arg_nci(interp, &st, "SP");
    {STRING * s= GET_NCI_S(0); t_761 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_762 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_762);
    return_data =  (char *)(*pointer)(t_761,&arg1);
    PMC_int_val(t_762) = arg1;
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_761) string_cstring_free(t_761); } while (0);
}
static void
pcf_i_sc(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, char);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_763;
    char t_764;
    Parrot_init_arg_nci(interp, &st, "II");
    t_763 = (short)GET_NCI_I(0);
    t_764 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_763,t_764);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_s_sc(PARROT_INTERP, PMC *self)
{
    typedef short (*func_t)(short, char);
    func_t pointer;
    call_state st;
    short return_data;
    
    short t_765;
    char t_766;
    Parrot_init_arg_nci(interp, &st, "II");
    t_765 = (short)GET_NCI_I(0);
    t_766 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (short)(*pointer)(t_765,t_766);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_sc(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(short, char);
    func_t pointer;
    call_state st;
    char return_data;
    
    short t_767;
    char t_768;
    Parrot_init_arg_nci(interp, &st, "II");
    t_767 = (short)GET_NCI_I(0);
    t_768 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(t_767,t_768);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_769;
    int t_770;
    int t_771;
    Parrot_init_arg_nci(interp, &st, "III");
    t_769 = (int)GET_NCI_I(0);
    t_770 = (int)GET_NCI_I(1);
    t_771 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_769,t_770,t_771);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_i3(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int t_772;
    PMC *t_773;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_772 = (int)GET_NCI_I(0);
    t_773 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_773);
    return_data =  (int)(*pointer)(t_772,&arg1);
    PMC_int_val(t_773) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_t_b(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;STRING *t_774;
    Parrot_init_arg_nci(interp, &st, "S");
    t_774 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PObj_bufstart(t_774));
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_B(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void **);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;STRING *t_775;
    Parrot_init_arg_nci(interp, &st, "S");
    t_775 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(&PObj_bufstart(t_775));
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_v_P(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_776;
    Parrot_init_arg_nci(interp, &st, "P");
    t_776 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_IS_NULL(t_776) ? NULL : t_776);
    
    
    
}
static void
pcf_v_pP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_777;
    PMC *t_778;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_777 = GET_NCI_P(0);
    t_778 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_777),PMC_IS_NULL(t_778) ? NULL : t_778);
    
    
    
}
static void
pcf_p_ip(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_779;
    PMC *t_780;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_779 = (int)GET_NCI_I(0);
    t_780 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_779,PMC_data(t_780));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_i_33(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg0;
    int arg1;
    PMC *t_781;
    PMC *t_782;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_781 = GET_NCI_P(0);
    t_782 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_781);
    arg1 = PMC_int_val(t_782);
    return_data =  (int)(*pointer)(&arg0,&arg1);
    PMC_int_val(t_781) = arg0;
    PMC_int_val(t_782) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_pii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_783;
    int t_784;
    int t_785;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_783 = GET_NCI_P(0);
    t_784 = (int)GET_NCI_I(1);
    t_785 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_783),t_784,t_785);
    
    
    
}
static void
pcf_v_JO(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_787;
    Parrot_init_arg_nci(interp, &st, "P");
    t_787 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_787) ? NULL : t_787);
    
    
    
}
static void
pcf_i_JO(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_789;
    Parrot_init_arg_nci(interp, &st, "P");
    t_789 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_789) ? NULL : t_789);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JOi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_791;
    int t_792;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_791 = GET_NCI_P(0);
    t_792 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_791) ? NULL : t_791,t_792);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JOt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_794;
    char *t_795;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_794 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_795 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_794) ? NULL : t_794,t_795);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_795) string_cstring_free(t_795); } while (0);
}
static void
pcf_i_Jt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_797;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_797 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,t_797);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_797) string_cstring_free(t_797); } while (0);
}
static void
pcf_i_Ji(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_799;
    Parrot_init_arg_nci(interp, &st, "I");
    t_799 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,t_799);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_Vi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void **, int);
    func_t pointer;
    call_state st;
    
    void* arg0;
    PMC *t_800;
    int t_801;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_800 = GET_NCI_P(0);
    t_801 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_data(t_800);
     (void)(*pointer)(&arg0,t_801);
    PMC_data(t_800) = arg0;
    
    
}
static void
pcf_p_ppiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, void *, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_802;
    PMC *t_803;
    int t_804;
    int t_805;
    int t_806;
    int t_807;
    int t_808;
    int t_809;
    int t_810;
    Parrot_init_arg_nci(interp, &st, "PPIIIIIII");
    t_802 = GET_NCI_P(0);
    t_803 = GET_NCI_P(1);
    t_804 = (int)GET_NCI_I(2);
    t_805 = (int)GET_NCI_I(3);
    t_806 = (int)GET_NCI_I(4);
    t_807 = (int)GET_NCI_I(5);
    t_808 = (int)GET_NCI_I(6);
    t_809 = (int)GET_NCI_I(7);
    t_810 = (int)GET_NCI_I(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_802),PMC_data(t_803),t_804,t_805,t_806,t_807,t_808,t_809,t_810);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_i_ppt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_811;
    PMC *t_812;
    char *t_813;
    Parrot_init_arg_nci(interp, &st, "PPS");
    t_811 = GET_NCI_P(0);
    t_812 = GET_NCI_P(1);
    {STRING * s= GET_NCI_S(2); t_813 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_811),PMC_data(t_812),t_813);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_813) string_cstring_free(t_813); } while (0);
}
static void
pcf_i_pppi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_814;
    PMC *t_815;
    PMC *t_816;
    int t_817;
    Parrot_init_arg_nci(interp, &st, "PPPI");
    t_814 = GET_NCI_P(0);
    t_815 = GET_NCI_P(1);
    t_816 = GET_NCI_P(2);
    t_817 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_814),PMC_data(t_815),PMC_data(t_816),t_817);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pppii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_818;
    PMC *t_819;
    PMC *t_820;
    int t_821;
    int t_822;
    Parrot_init_arg_nci(interp, &st, "PPPII");
    t_818 = GET_NCI_P(0);
    t_819 = GET_NCI_P(1);
    t_820 = GET_NCI_P(2);
    t_821 = (int)GET_NCI_I(3);
    t_822 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_818),PMC_data(t_819),PMC_data(t_820),t_821,t_822);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pppiiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *, int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_823;
    PMC *t_824;
    PMC *t_825;
    int t_826;
    int t_827;
    int t_828;
    int t_829;
    Parrot_init_arg_nci(interp, &st, "PPPIIII");
    t_823 = GET_NCI_P(0);
    t_824 = GET_NCI_P(1);
    t_825 = GET_NCI_P(2);
    t_826 = (int)GET_NCI_I(3);
    t_827 = (int)GET_NCI_I(4);
    t_828 = (int)GET_NCI_I(5);
    t_829 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_823),PMC_data(t_824),PMC_data(t_825),t_826,t_827,t_828,t_829);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_JPi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_831;
    int t_832;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_831 = GET_NCI_P(0);
    t_832 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_831) ? NULL : t_831,t_832);
    
    
    
}
static void
pcf_v_JPii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_834;
    int t_835;
    int t_836;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_834 = GET_NCI_P(0);
    t_835 = (int)GET_NCI_I(1);
    t_836 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_834) ? NULL : t_834,t_835,t_836);
    
    
    
}
static void
pcf_c_i(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(int);
    func_t pointer;
    call_state st;
    char return_data;
    
    int t_837;
    Parrot_init_arg_nci(interp, &st, "I");
    t_837 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(t_837);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_ii(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(int, int);
    func_t pointer;
    call_state st;
    char return_data;
    
    int t_838;
    int t_839;
    Parrot_init_arg_nci(interp, &st, "II");
    t_838 = (int)GET_NCI_I(0);
    t_839 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(t_838,t_839);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_ipt(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(int, void *, char *);
    func_t pointer;
    call_state st;
    char return_data;
    
    int t_840;
    PMC *t_841;
    char *t_842;
    Parrot_init_arg_nci(interp, &st, "IPS");
    t_840 = (int)GET_NCI_I(0);
    t_841 = GET_NCI_P(1);
    {STRING * s= GET_NCI_S(2); t_842 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(t_840,PMC_data(t_841),t_842);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_842) string_cstring_free(t_842); } while (0);
}
static void
pcf_f_ii(PARROT_INTERP, PMC *self)
{
    typedef float (*func_t)(int, int);
    func_t pointer;
    call_state st;
    float return_data;
    
    int t_843;
    int t_844;
    Parrot_init_arg_nci(interp, &st, "II");
    t_843 = (int)GET_NCI_I(0);
    t_844 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (float)(*pointer)(t_843,t_844);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_i_ddddpppddpppp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(double, double, double, double, void *, void *, void *, double, double, void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    double t_845;
    double t_846;
    double t_847;
    double t_848;
    PMC *t_849;
    PMC *t_850;
    PMC *t_851;
    double t_852;
    double t_853;
    PMC *t_854;
    PMC *t_855;
    PMC *t_856;
    PMC *t_857;
    Parrot_init_arg_nci(interp, &st, "NNNNPPPNNPPPP");
    t_845 = (double)GET_NCI_N(0);
    t_846 = (double)GET_NCI_N(1);
    t_847 = (double)GET_NCI_N(2);
    t_848 = (double)GET_NCI_N(3);
    t_849 = GET_NCI_P(4);
    t_850 = GET_NCI_P(5);
    t_851 = GET_NCI_P(6);
    t_852 = (double)GET_NCI_N(7);
    t_853 = (double)GET_NCI_N(8);
    t_854 = GET_NCI_P(9);
    t_855 = GET_NCI_P(10);
    t_856 = GET_NCI_P(11);
    t_857 = GET_NCI_P(12);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_845,t_846,t_847,t_848,PMC_data(t_849),PMC_data(t_850),PMC_data(t_851),t_852,t_853,PMC_data(t_854),PMC_data(t_855),PMC_data(t_856),PMC_data(t_857));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_dddpppppp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(double, double, double, void *, void *, void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    double t_858;
    double t_859;
    double t_860;
    PMC *t_861;
    PMC *t_862;
    PMC *t_863;
    PMC *t_864;
    PMC *t_865;
    PMC *t_866;
    Parrot_init_arg_nci(interp, &st, "NNNPPPPPP");
    t_858 = (double)GET_NCI_N(0);
    t_859 = (double)GET_NCI_N(1);
    t_860 = (double)GET_NCI_N(2);
    t_861 = GET_NCI_P(3);
    t_862 = GET_NCI_P(4);
    t_863 = GET_NCI_P(5);
    t_864 = GET_NCI_P(6);
    t_865 = GET_NCI_P(7);
    t_866 = GET_NCI_P(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_858,t_859,t_860,PMC_data(t_861),PMC_data(t_862),PMC_data(t_863),PMC_data(t_864),PMC_data(t_865),PMC_data(t_866));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_867;
    int t_868;
    int t_869;
    int t_870;
    int t_871;
    Parrot_init_arg_nci(interp, &st, "IIIII");
    t_867 = (int)GET_NCI_I(0);
    t_868 = (int)GET_NCI_I(1);
    t_869 = (int)GET_NCI_I(2);
    t_870 = (int)GET_NCI_I(3);
    t_871 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_867,t_868,t_869,t_870,t_871);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiiiiip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_872;
    int t_873;
    int t_874;
    int t_875;
    int t_876;
    int t_877;
    PMC *t_878;
    Parrot_init_arg_nci(interp, &st, "IIIIIIP");
    t_872 = (int)GET_NCI_I(0);
    t_873 = (int)GET_NCI_I(1);
    t_874 = (int)GET_NCI_I(2);
    t_875 = (int)GET_NCI_I(3);
    t_876 = (int)GET_NCI_I(4);
    t_877 = (int)GET_NCI_I(5);
    t_878 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_872,t_873,t_874,t_875,t_876,t_877,PMC_data(t_878));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiiiip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_879;
    int t_880;
    int t_881;
    int t_882;
    int t_883;
    PMC *t_884;
    Parrot_init_arg_nci(interp, &st, "IIIIIP");
    t_879 = (int)GET_NCI_I(0);
    t_880 = (int)GET_NCI_I(1);
    t_881 = (int)GET_NCI_I(2);
    t_882 = (int)GET_NCI_I(3);
    t_883 = (int)GET_NCI_I(4);
    t_884 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_879,t_880,t_881,t_882,t_883,PMC_data(t_884));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiiipiiip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int, void *, int, int, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_885;
    int t_886;
    int t_887;
    int t_888;
    PMC *t_889;
    int t_890;
    int t_891;
    int t_892;
    PMC *t_893;
    Parrot_init_arg_nci(interp, &st, "IIIIPIIIP");
    t_885 = (int)GET_NCI_I(0);
    t_886 = (int)GET_NCI_I(1);
    t_887 = (int)GET_NCI_I(2);
    t_888 = (int)GET_NCI_I(3);
    t_889 = GET_NCI_P(4);
    t_890 = (int)GET_NCI_I(5);
    t_891 = (int)GET_NCI_I(6);
    t_892 = (int)GET_NCI_I(7);
    t_893 = GET_NCI_P(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_885,t_886,t_887,t_888,PMC_data(t_889),t_890,t_891,t_892,PMC_data(t_893));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ipi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_894;
    PMC *t_895;
    int t_896;
    Parrot_init_arg_nci(interp, &st, "IPI");
    t_894 = (int)GET_NCI_I(0);
    t_895 = GET_NCI_P(1);
    t_896 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_894,PMC_data(t_895),t_896);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_3p(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int *, void *);
    func_t pointer;
    call_state st;
    
    int arg0;
    PMC *t_897;
    PMC *t_898;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_897 = GET_NCI_P(0);
    t_898 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_897);
     (void)(*pointer)(&arg0,PMC_data(t_898));
    PMC_int_val(t_897) = arg0;
    
    
}
static void
pcf_v_c(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char);
    func_t pointer;
    call_state st;
    
    
    char t_899;
    Parrot_init_arg_nci(interp, &st, "I");
    t_899 = (char)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_899);
    
    
    
}
static void
pcf_v_ccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char, char, char);
    func_t pointer;
    call_state st;
    
    
    char t_900;
    char t_901;
    char t_902;
    Parrot_init_arg_nci(interp, &st, "III");
    t_900 = (char)GET_NCI_I(0);
    t_901 = (char)GET_NCI_I(1);
    t_902 = (char)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_900,t_901,t_902);
    
    
    
}
static void
pcf_v_cccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char, char, char, char);
    func_t pointer;
    call_state st;
    
    
    char t_903;
    char t_904;
    char t_905;
    char t_906;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_903 = (char)GET_NCI_I(0);
    t_904 = (char)GET_NCI_I(1);
    t_905 = (char)GET_NCI_I(2);
    t_906 = (char)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_903,t_904,t_905,t_906);
    
    
    
}
static void
pcf_v_ccccff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char, char, char, char, float, float);
    func_t pointer;
    call_state st;
    
    
    char t_907;
    char t_908;
    char t_909;
    char t_910;
    float t_911;
    float t_912;
    Parrot_init_arg_nci(interp, &st, "IIIINN");
    t_907 = (char)GET_NCI_I(0);
    t_908 = (char)GET_NCI_I(1);
    t_909 = (char)GET_NCI_I(2);
    t_910 = (char)GET_NCI_I(3);
    t_911 = (float)GET_NCI_N(4);
    t_912 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_907,t_908,t_909,t_910,t_911,t_912);
    
    
    
}
static void
pcf_v_ccccfff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char, char, char, char, float, float, float);
    func_t pointer;
    call_state st;
    
    
    char t_913;
    char t_914;
    char t_915;
    char t_916;
    float t_917;
    float t_918;
    float t_919;
    Parrot_init_arg_nci(interp, &st, "IIIINNN");
    t_913 = (char)GET_NCI_I(0);
    t_914 = (char)GET_NCI_I(1);
    t_915 = (char)GET_NCI_I(2);
    t_916 = (char)GET_NCI_I(3);
    t_917 = (float)GET_NCI_N(4);
    t_918 = (float)GET_NCI_N(5);
    t_919 = (float)GET_NCI_N(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_913,t_914,t_915,t_916,t_917,t_918,t_919);
    
    
    
}
static void
pcf_v_d(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double);
    func_t pointer;
    call_state st;
    
    
    double t_920;
    Parrot_init_arg_nci(interp, &st, "N");
    t_920 = (double)GET_NCI_N(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_920);
    
    
    
}
static void
pcf_v_dd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double);
    func_t pointer;
    call_state st;
    
    
    double t_921;
    double t_922;
    Parrot_init_arg_nci(interp, &st, "NN");
    t_921 = (double)GET_NCI_N(0);
    t_922 = (double)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_921,t_922);
    
    
    
}
static void
pcf_v_ddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double);
    func_t pointer;
    call_state st;
    
    
    double t_923;
    double t_924;
    double t_925;
    Parrot_init_arg_nci(interp, &st, "NNN");
    t_923 = (double)GET_NCI_N(0);
    t_924 = (double)GET_NCI_N(1);
    t_925 = (double)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_923,t_924,t_925);
    
    
    
}
static void
pcf_v_dddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    double t_926;
    double t_927;
    double t_928;
    double t_929;
    Parrot_init_arg_nci(interp, &st, "NNNN");
    t_926 = (double)GET_NCI_N(0);
    t_927 = (double)GET_NCI_N(1);
    t_928 = (double)GET_NCI_N(2);
    t_929 = (double)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_926,t_927,t_928,t_929);
    
    
    
}
static void
pcf_v_dddddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    double t_930;
    double t_931;
    double t_932;
    double t_933;
    double t_934;
    double t_935;
    Parrot_init_arg_nci(interp, &st, "NNNNNN");
    t_930 = (double)GET_NCI_N(0);
    t_931 = (double)GET_NCI_N(1);
    t_932 = (double)GET_NCI_N(2);
    t_933 = (double)GET_NCI_N(3);
    t_934 = (double)GET_NCI_N(4);
    t_935 = (double)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_930,t_931,t_932,t_933,t_934,t_935);
    
    
    
}
static void
pcf_v_ddddddddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double, double, double, double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    double t_936;
    double t_937;
    double t_938;
    double t_939;
    double t_940;
    double t_941;
    double t_942;
    double t_943;
    double t_944;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNNN");
    t_936 = (double)GET_NCI_N(0);
    t_937 = (double)GET_NCI_N(1);
    t_938 = (double)GET_NCI_N(2);
    t_939 = (double)GET_NCI_N(3);
    t_940 = (double)GET_NCI_N(4);
    t_941 = (double)GET_NCI_N(5);
    t_942 = (double)GET_NCI_N(6);
    t_943 = (double)GET_NCI_N(7);
    t_944 = (double)GET_NCI_N(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_936,t_937,t_938,t_939,t_940,t_941,t_942,t_943,t_944);
    
    
    
}
static void
pcf_v_ddddp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double, double, void *);
    func_t pointer;
    call_state st;
    
    
    double t_945;
    double t_946;
    double t_947;
    double t_948;
    PMC *t_949;
    Parrot_init_arg_nci(interp, &st, "NNNNP");
    t_945 = (double)GET_NCI_N(0);
    t_946 = (double)GET_NCI_N(1);
    t_947 = (double)GET_NCI_N(2);
    t_948 = (double)GET_NCI_N(3);
    t_949 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_945,t_946,t_947,t_948,PMC_data(t_949));
    
    
    
}
static void
pcf_v_ddii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, int, int);
    func_t pointer;
    call_state st;
    
    
    double t_950;
    double t_951;
    int t_952;
    int t_953;
    Parrot_init_arg_nci(interp, &st, "NNII");
    t_950 = (double)GET_NCI_N(0);
    t_951 = (double)GET_NCI_N(1);
    t_952 = (int)GET_NCI_I(2);
    t_953 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_950,t_951,t_952,t_953);
    
    
    
}
static void
pcf_v_dii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, int, int);
    func_t pointer;
    call_state st;
    
    
    double t_954;
    int t_955;
    int t_956;
    Parrot_init_arg_nci(interp, &st, "NII");
    t_954 = (double)GET_NCI_N(0);
    t_955 = (int)GET_NCI_I(1);
    t_956 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_954,t_955,t_956);
    
    
    
}
static void
pcf_v_f(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float);
    func_t pointer;
    call_state st;
    
    
    float t_957;
    Parrot_init_arg_nci(interp, &st, "N");
    t_957 = (float)GET_NCI_N(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_957);
    
    
    
}
static void
pcf_v_fc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, char);
    func_t pointer;
    call_state st;
    
    
    float t_958;
    char t_959;
    Parrot_init_arg_nci(interp, &st, "NI");
    t_958 = (float)GET_NCI_N(0);
    t_959 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_958,t_959);
    
    
    
}
static void
pcf_v_ff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float);
    func_t pointer;
    call_state st;
    
    
    float t_960;
    float t_961;
    Parrot_init_arg_nci(interp, &st, "NN");
    t_960 = (float)GET_NCI_N(0);
    t_961 = (float)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_960,t_961);
    
    
    
}
static void
pcf_v_ffccccfff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, char, char, char, char, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_962;
    float t_963;
    char t_964;
    char t_965;
    char t_966;
    char t_967;
    float t_968;
    float t_969;
    float t_970;
    Parrot_init_arg_nci(interp, &st, "NNIIIINNN");
    t_962 = (float)GET_NCI_N(0);
    t_963 = (float)GET_NCI_N(1);
    t_964 = (char)GET_NCI_I(2);
    t_965 = (char)GET_NCI_I(3);
    t_966 = (char)GET_NCI_I(4);
    t_967 = (char)GET_NCI_I(5);
    t_968 = (float)GET_NCI_N(6);
    t_969 = (float)GET_NCI_N(7);
    t_970 = (float)GET_NCI_N(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_962,t_963,t_964,t_965,t_966,t_967,t_968,t_969,t_970);
    
    
    
}
static void
pcf_v_fff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_971;
    float t_972;
    float t_973;
    Parrot_init_arg_nci(interp, &st, "NNN");
    t_971 = (float)GET_NCI_N(0);
    t_972 = (float)GET_NCI_N(1);
    t_973 = (float)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_971,t_972,t_973);
    
    
    
}
static void
pcf_v_ffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_974;
    float t_975;
    float t_976;
    float t_977;
    Parrot_init_arg_nci(interp, &st, "NNNN");
    t_974 = (float)GET_NCI_N(0);
    t_975 = (float)GET_NCI_N(1);
    t_976 = (float)GET_NCI_N(2);
    t_977 = (float)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_974,t_975,t_976,t_977);
    
    
    
}
static void
pcf_v_fffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_978;
    float t_979;
    float t_980;
    float t_981;
    float t_982;
    Parrot_init_arg_nci(interp, &st, "NNNNN");
    t_978 = (float)GET_NCI_N(0);
    t_979 = (float)GET_NCI_N(1);
    t_980 = (float)GET_NCI_N(2);
    t_981 = (float)GET_NCI_N(3);
    t_982 = (float)GET_NCI_N(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_978,t_979,t_980,t_981,t_982);
    
    
    
}
static void
pcf_v_ffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_983;
    float t_984;
    float t_985;
    float t_986;
    float t_987;
    float t_988;
    Parrot_init_arg_nci(interp, &st, "NNNNNN");
    t_983 = (float)GET_NCI_N(0);
    t_984 = (float)GET_NCI_N(1);
    t_985 = (float)GET_NCI_N(2);
    t_986 = (float)GET_NCI_N(3);
    t_987 = (float)GET_NCI_N(4);
    t_988 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_983,t_984,t_985,t_986,t_987,t_988);
    
    
    
}
static void
pcf_v_ffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_989;
    float t_990;
    float t_991;
    float t_992;
    float t_993;
    float t_994;
    float t_995;
    float t_996;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNN");
    t_989 = (float)GET_NCI_N(0);
    t_990 = (float)GET_NCI_N(1);
    t_991 = (float)GET_NCI_N(2);
    t_992 = (float)GET_NCI_N(3);
    t_993 = (float)GET_NCI_N(4);
    t_994 = (float)GET_NCI_N(5);
    t_995 = (float)GET_NCI_N(6);
    t_996 = (float)GET_NCI_N(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_989,t_990,t_991,t_992,t_993,t_994,t_995,t_996);
    
    
    
}
static void
pcf_v_ffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_997;
    float t_998;
    float t_999;
    float t_1000;
    float t_1001;
    float t_1002;
    float t_1003;
    float t_1004;
    float t_1005;
    float t_1006;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNNNN");
    t_997 = (float)GET_NCI_N(0);
    t_998 = (float)GET_NCI_N(1);
    t_999 = (float)GET_NCI_N(2);
    t_1000 = (float)GET_NCI_N(3);
    t_1001 = (float)GET_NCI_N(4);
    t_1002 = (float)GET_NCI_N(5);
    t_1003 = (float)GET_NCI_N(6);
    t_1004 = (float)GET_NCI_N(7);
    t_1005 = (float)GET_NCI_N(8);
    t_1006 = (float)GET_NCI_N(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_997,t_998,t_999,t_1000,t_1001,t_1002,t_1003,t_1004,t_1005,t_1006);
    
    
    
}
static void
pcf_v_ffffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_1007;
    float t_1008;
    float t_1009;
    float t_1010;
    float t_1011;
    float t_1012;
    float t_1013;
    float t_1014;
    float t_1015;
    float t_1016;
    float t_1017;
    float t_1018;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNNNNNN");
    t_1007 = (float)GET_NCI_N(0);
    t_1008 = (float)GET_NCI_N(1);
    t_1009 = (float)GET_NCI_N(2);
    t_1010 = (float)GET_NCI_N(3);
    t_1011 = (float)GET_NCI_N(4);
    t_1012 = (float)GET_NCI_N(5);
    t_1013 = (float)GET_NCI_N(6);
    t_1014 = (float)GET_NCI_N(7);
    t_1015 = (float)GET_NCI_N(8);
    t_1016 = (float)GET_NCI_N(9);
    t_1017 = (float)GET_NCI_N(10);
    t_1018 = (float)GET_NCI_N(11);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1007,t_1008,t_1009,t_1010,t_1011,t_1012,t_1013,t_1014,t_1015,t_1016,t_1017,t_1018);
    
    
    
}
static void
pcf_v_fffffffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_1019;
    float t_1020;
    float t_1021;
    float t_1022;
    float t_1023;
    float t_1024;
    float t_1025;
    float t_1026;
    float t_1027;
    float t_1028;
    float t_1029;
    float t_1030;
    float t_1031;
    float t_1032;
    float t_1033;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNNNNNNNNN");
    t_1019 = (float)GET_NCI_N(0);
    t_1020 = (float)GET_NCI_N(1);
    t_1021 = (float)GET_NCI_N(2);
    t_1022 = (float)GET_NCI_N(3);
    t_1023 = (float)GET_NCI_N(4);
    t_1024 = (float)GET_NCI_N(5);
    t_1025 = (float)GET_NCI_N(6);
    t_1026 = (float)GET_NCI_N(7);
    t_1027 = (float)GET_NCI_N(8);
    t_1028 = (float)GET_NCI_N(9);
    t_1029 = (float)GET_NCI_N(10);
    t_1030 = (float)GET_NCI_N(11);
    t_1031 = (float)GET_NCI_N(12);
    t_1032 = (float)GET_NCI_N(13);
    t_1033 = (float)GET_NCI_N(14);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1019,t_1020,t_1021,t_1022,t_1023,t_1024,t_1025,t_1026,t_1027,t_1028,t_1029,t_1030,t_1031,t_1032,t_1033);
    
    
    
}
static void
pcf_v_iccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char, char, char);
    func_t pointer;
    call_state st;
    
    
    int t_1034;
    char t_1035;
    char t_1036;
    char t_1037;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1034 = (int)GET_NCI_I(0);
    t_1035 = (char)GET_NCI_I(1);
    t_1036 = (char)GET_NCI_I(2);
    t_1037 = (char)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1034,t_1035,t_1036,t_1037);
    
    
    
}
static void
pcf_v_icccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char, char, char, char);
    func_t pointer;
    call_state st;
    
    
    int t_1038;
    char t_1039;
    char t_1040;
    char t_1041;
    char t_1042;
    Parrot_init_arg_nci(interp, &st, "IIIII");
    t_1038 = (int)GET_NCI_I(0);
    t_1039 = (char)GET_NCI_I(1);
    t_1040 = (char)GET_NCI_I(2);
    t_1041 = (char)GET_NCI_I(3);
    t_1042 = (char)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1038,t_1039,t_1040,t_1041,t_1042);
    
    
    
}
static void
pcf_v_iccccfff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char, char, char, char, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1043;
    char t_1044;
    char t_1045;
    char t_1046;
    char t_1047;
    float t_1048;
    float t_1049;
    float t_1050;
    Parrot_init_arg_nci(interp, &st, "IIIIINNN");
    t_1043 = (int)GET_NCI_I(0);
    t_1044 = (char)GET_NCI_I(1);
    t_1045 = (char)GET_NCI_I(2);
    t_1046 = (char)GET_NCI_I(3);
    t_1047 = (char)GET_NCI_I(4);
    t_1048 = (float)GET_NCI_N(5);
    t_1049 = (float)GET_NCI_N(6);
    t_1050 = (float)GET_NCI_N(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1043,t_1044,t_1045,t_1046,t_1047,t_1048,t_1049,t_1050);
    
    
    
}
static void
pcf_v_iciip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1051;
    char t_1052;
    int t_1053;
    int t_1054;
    PMC *t_1055;
    Parrot_init_arg_nci(interp, &st, "IIIIP");
    t_1051 = (int)GET_NCI_I(0);
    t_1052 = (char)GET_NCI_I(1);
    t_1053 = (int)GET_NCI_I(2);
    t_1054 = (int)GET_NCI_I(3);
    t_1055 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1051,t_1052,t_1053,t_1054,PMC_data(t_1055));
    
    
    
}
static void
pcf_v_id(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double);
    func_t pointer;
    call_state st;
    
    
    int t_1056;
    double t_1057;
    Parrot_init_arg_nci(interp, &st, "IN");
    t_1056 = (int)GET_NCI_I(0);
    t_1057 = (double)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1056,t_1057);
    
    
    
}
static void
pcf_v_idd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1058;
    double t_1059;
    double t_1060;
    Parrot_init_arg_nci(interp, &st, "INN");
    t_1058 = (int)GET_NCI_I(0);
    t_1059 = (double)GET_NCI_N(1);
    t_1060 = (double)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1058,t_1059,t_1060);
    
    
    
}
static void
pcf_v_iddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1061;
    double t_1062;
    double t_1063;
    double t_1064;
    Parrot_init_arg_nci(interp, &st, "INNN");
    t_1061 = (int)GET_NCI_I(0);
    t_1062 = (double)GET_NCI_N(1);
    t_1063 = (double)GET_NCI_N(2);
    t_1064 = (double)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1061,t_1062,t_1063,t_1064);
    
    
    
}
static void
pcf_v_idddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1065;
    double t_1066;
    double t_1067;
    double t_1068;
    double t_1069;
    Parrot_init_arg_nci(interp, &st, "INNNN");
    t_1065 = (int)GET_NCI_I(0);
    t_1066 = (double)GET_NCI_N(1);
    t_1067 = (double)GET_NCI_N(2);
    t_1068 = (double)GET_NCI_N(3);
    t_1069 = (double)GET_NCI_N(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1065,t_1066,t_1067,t_1068,t_1069);
    
    
    
}
static void
pcf_v_iddidd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, int, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1070;
    double t_1071;
    double t_1072;
    int t_1073;
    double t_1074;
    double t_1075;
    Parrot_init_arg_nci(interp, &st, "INNINN");
    t_1070 = (int)GET_NCI_I(0);
    t_1071 = (double)GET_NCI_N(1);
    t_1072 = (double)GET_NCI_N(2);
    t_1073 = (int)GET_NCI_I(3);
    t_1074 = (double)GET_NCI_N(4);
    t_1075 = (double)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1070,t_1071,t_1072,t_1073,t_1074,t_1075);
    
    
    
}
static void
pcf_v_iddiiddiiddiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, int, int, double, double, int, int, double, double, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1076;
    double t_1077;
    double t_1078;
    int t_1079;
    int t_1080;
    double t_1081;
    double t_1082;
    int t_1083;
    int t_1084;
    double t_1085;
    double t_1086;
    int t_1087;
    int t_1088;
    PMC *t_1089;
    Parrot_init_arg_nci(interp, &st, "INNIINNIINNIIP");
    t_1076 = (int)GET_NCI_I(0);
    t_1077 = (double)GET_NCI_N(1);
    t_1078 = (double)GET_NCI_N(2);
    t_1079 = (int)GET_NCI_I(3);
    t_1080 = (int)GET_NCI_I(4);
    t_1081 = (double)GET_NCI_N(5);
    t_1082 = (double)GET_NCI_N(6);
    t_1083 = (int)GET_NCI_I(7);
    t_1084 = (int)GET_NCI_I(8);
    t_1085 = (double)GET_NCI_N(9);
    t_1086 = (double)GET_NCI_N(10);
    t_1087 = (int)GET_NCI_I(11);
    t_1088 = (int)GET_NCI_I(12);
    t_1089 = GET_NCI_P(13);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1076,t_1077,t_1078,t_1079,t_1080,t_1081,t_1082,t_1083,t_1084,t_1085,t_1086,t_1087,t_1088,PMC_data(t_1089));
    
    
    
}
static void
pcf_v_iddiiddiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, int, int, double, double, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1090;
    double t_1091;
    double t_1092;
    int t_1093;
    int t_1094;
    double t_1095;
    double t_1096;
    int t_1097;
    int t_1098;
    PMC *t_1099;
    Parrot_init_arg_nci(interp, &st, "INNIINNIIP");
    t_1090 = (int)GET_NCI_I(0);
    t_1091 = (double)GET_NCI_N(1);
    t_1092 = (double)GET_NCI_N(2);
    t_1093 = (int)GET_NCI_I(3);
    t_1094 = (int)GET_NCI_I(4);
    t_1095 = (double)GET_NCI_N(5);
    t_1096 = (double)GET_NCI_N(6);
    t_1097 = (int)GET_NCI_I(7);
    t_1098 = (int)GET_NCI_I(8);
    t_1099 = GET_NCI_P(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1090,t_1091,t_1092,t_1093,t_1094,t_1095,t_1096,t_1097,t_1098,PMC_data(t_1099));
    
    
    
}
static void
pcf_v_iddiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1100;
    double t_1101;
    double t_1102;
    int t_1103;
    int t_1104;
    PMC *t_1105;
    Parrot_init_arg_nci(interp, &st, "INNIIP");
    t_1100 = (int)GET_NCI_I(0);
    t_1101 = (double)GET_NCI_N(1);
    t_1102 = (double)GET_NCI_N(2);
    t_1103 = (int)GET_NCI_I(3);
    t_1104 = (int)GET_NCI_I(4);
    t_1105 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1100,t_1101,t_1102,t_1103,t_1104,PMC_data(t_1105));
    
    
    
}
static void
pcf_v_if(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float);
    func_t pointer;
    call_state st;
    
    
    int t_1106;
    float t_1107;
    Parrot_init_arg_nci(interp, &st, "IN");
    t_1106 = (int)GET_NCI_I(0);
    t_1107 = (float)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1106,t_1107);
    
    
    
}
static void
pcf_v_iff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1108;
    float t_1109;
    float t_1110;
    Parrot_init_arg_nci(interp, &st, "INN");
    t_1108 = (int)GET_NCI_I(0);
    t_1109 = (float)GET_NCI_N(1);
    t_1110 = (float)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1108,t_1109,t_1110);
    
    
    
}
static void
pcf_v_ifff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1111;
    float t_1112;
    float t_1113;
    float t_1114;
    Parrot_init_arg_nci(interp, &st, "INNN");
    t_1111 = (int)GET_NCI_I(0);
    t_1112 = (float)GET_NCI_N(1);
    t_1113 = (float)GET_NCI_N(2);
    t_1114 = (float)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1111,t_1112,t_1113,t_1114);
    
    
    
}
static void
pcf_v_iffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1115;
    float t_1116;
    float t_1117;
    float t_1118;
    float t_1119;
    Parrot_init_arg_nci(interp, &st, "INNNN");
    t_1115 = (int)GET_NCI_I(0);
    t_1116 = (float)GET_NCI_N(1);
    t_1117 = (float)GET_NCI_N(2);
    t_1118 = (float)GET_NCI_N(3);
    t_1119 = (float)GET_NCI_N(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1115,t_1116,t_1117,t_1118,t_1119);
    
    
    
}
static void
pcf_v_ifffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1120;
    float t_1121;
    float t_1122;
    float t_1123;
    float t_1124;
    float t_1125;
    Parrot_init_arg_nci(interp, &st, "INNNNN");
    t_1120 = (int)GET_NCI_I(0);
    t_1121 = (float)GET_NCI_N(1);
    t_1122 = (float)GET_NCI_N(2);
    t_1123 = (float)GET_NCI_N(3);
    t_1124 = (float)GET_NCI_N(4);
    t_1125 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1120,t_1121,t_1122,t_1123,t_1124,t_1125);
    
    
    
}
static void
pcf_v_iffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1126;
    float t_1127;
    float t_1128;
    float t_1129;
    float t_1130;
    float t_1131;
    float t_1132;
    Parrot_init_arg_nci(interp, &st, "INNNNNN");
    t_1126 = (int)GET_NCI_I(0);
    t_1127 = (float)GET_NCI_N(1);
    t_1128 = (float)GET_NCI_N(2);
    t_1129 = (float)GET_NCI_N(3);
    t_1130 = (float)GET_NCI_N(4);
    t_1131 = (float)GET_NCI_N(5);
    t_1132 = (float)GET_NCI_N(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1126,t_1127,t_1128,t_1129,t_1130,t_1131,t_1132);
    
    
    
}
static void
pcf_v_iffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1133;
    float t_1134;
    float t_1135;
    float t_1136;
    float t_1137;
    float t_1138;
    float t_1139;
    float t_1140;
    float t_1141;
    Parrot_init_arg_nci(interp, &st, "INNNNNNNN");
    t_1133 = (int)GET_NCI_I(0);
    t_1134 = (float)GET_NCI_N(1);
    t_1135 = (float)GET_NCI_N(2);
    t_1136 = (float)GET_NCI_N(3);
    t_1137 = (float)GET_NCI_N(4);
    t_1138 = (float)GET_NCI_N(5);
    t_1139 = (float)GET_NCI_N(6);
    t_1140 = (float)GET_NCI_N(7);
    t_1141 = (float)GET_NCI_N(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1133,t_1134,t_1135,t_1136,t_1137,t_1138,t_1139,t_1140,t_1141);
    
    
    
}
static void
pcf_v_iffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1142;
    float t_1143;
    float t_1144;
    float t_1145;
    float t_1146;
    float t_1147;
    float t_1148;
    float t_1149;
    float t_1150;
    float t_1151;
    float t_1152;
    Parrot_init_arg_nci(interp, &st, "INNNNNNNNNN");
    t_1142 = (int)GET_NCI_I(0);
    t_1143 = (float)GET_NCI_N(1);
    t_1144 = (float)GET_NCI_N(2);
    t_1145 = (float)GET_NCI_N(3);
    t_1146 = (float)GET_NCI_N(4);
    t_1147 = (float)GET_NCI_N(5);
    t_1148 = (float)GET_NCI_N(6);
    t_1149 = (float)GET_NCI_N(7);
    t_1150 = (float)GET_NCI_N(8);
    t_1151 = (float)GET_NCI_N(9);
    t_1152 = (float)GET_NCI_N(10);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1142,t_1143,t_1144,t_1145,t_1146,t_1147,t_1148,t_1149,t_1150,t_1151,t_1152);
    
    
    
}
static void
pcf_v_iffffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1153;
    float t_1154;
    float t_1155;
    float t_1156;
    float t_1157;
    float t_1158;
    float t_1159;
    float t_1160;
    float t_1161;
    float t_1162;
    float t_1163;
    float t_1164;
    float t_1165;
    Parrot_init_arg_nci(interp, &st, "INNNNNNNNNNNN");
    t_1153 = (int)GET_NCI_I(0);
    t_1154 = (float)GET_NCI_N(1);
    t_1155 = (float)GET_NCI_N(2);
    t_1156 = (float)GET_NCI_N(3);
    t_1157 = (float)GET_NCI_N(4);
    t_1158 = (float)GET_NCI_N(5);
    t_1159 = (float)GET_NCI_N(6);
    t_1160 = (float)GET_NCI_N(7);
    t_1161 = (float)GET_NCI_N(8);
    t_1162 = (float)GET_NCI_N(9);
    t_1163 = (float)GET_NCI_N(10);
    t_1164 = (float)GET_NCI_N(11);
    t_1165 = (float)GET_NCI_N(12);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1153,t_1154,t_1155,t_1156,t_1157,t_1158,t_1159,t_1160,t_1161,t_1162,t_1163,t_1164,t_1165);
    
    
    
}
static void
pcf_v_iffiff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, int, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1166;
    float t_1167;
    float t_1168;
    int t_1169;
    float t_1170;
    float t_1171;
    Parrot_init_arg_nci(interp, &st, "INNINN");
    t_1166 = (int)GET_NCI_I(0);
    t_1167 = (float)GET_NCI_N(1);
    t_1168 = (float)GET_NCI_N(2);
    t_1169 = (int)GET_NCI_I(3);
    t_1170 = (float)GET_NCI_N(4);
    t_1171 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1166,t_1167,t_1168,t_1169,t_1170,t_1171);
    
    
    
}
static void
pcf_v_iffiiffiiffiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, int, int, float, float, int, int, float, float, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1172;
    float t_1173;
    float t_1174;
    int t_1175;
    int t_1176;
    float t_1177;
    float t_1178;
    int t_1179;
    int t_1180;
    float t_1181;
    float t_1182;
    int t_1183;
    int t_1184;
    PMC *t_1185;
    Parrot_init_arg_nci(interp, &st, "INNIINNIINNIIP");
    t_1172 = (int)GET_NCI_I(0);
    t_1173 = (float)GET_NCI_N(1);
    t_1174 = (float)GET_NCI_N(2);
    t_1175 = (int)GET_NCI_I(3);
    t_1176 = (int)GET_NCI_I(4);
    t_1177 = (float)GET_NCI_N(5);
    t_1178 = (float)GET_NCI_N(6);
    t_1179 = (int)GET_NCI_I(7);
    t_1180 = (int)GET_NCI_I(8);
    t_1181 = (float)GET_NCI_N(9);
    t_1182 = (float)GET_NCI_N(10);
    t_1183 = (int)GET_NCI_I(11);
    t_1184 = (int)GET_NCI_I(12);
    t_1185 = GET_NCI_P(13);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1172,t_1173,t_1174,t_1175,t_1176,t_1177,t_1178,t_1179,t_1180,t_1181,t_1182,t_1183,t_1184,PMC_data(t_1185));
    
    
    
}
static void
pcf_v_iffiiffiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, int, int, float, float, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1186;
    float t_1187;
    float t_1188;
    int t_1189;
    int t_1190;
    float t_1191;
    float t_1192;
    int t_1193;
    int t_1194;
    PMC *t_1195;
    Parrot_init_arg_nci(interp, &st, "INNIINNIIP");
    t_1186 = (int)GET_NCI_I(0);
    t_1187 = (float)GET_NCI_N(1);
    t_1188 = (float)GET_NCI_N(2);
    t_1189 = (int)GET_NCI_I(3);
    t_1190 = (int)GET_NCI_I(4);
    t_1191 = (float)GET_NCI_N(5);
    t_1192 = (float)GET_NCI_N(6);
    t_1193 = (int)GET_NCI_I(7);
    t_1194 = (int)GET_NCI_I(8);
    t_1195 = GET_NCI_P(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1186,t_1187,t_1188,t_1189,t_1190,t_1191,t_1192,t_1193,t_1194,PMC_data(t_1195));
    
    
    
}
static void
pcf_v_iffiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1196;
    float t_1197;
    float t_1198;
    int t_1199;
    int t_1200;
    PMC *t_1201;
    Parrot_init_arg_nci(interp, &st, "INNIIP");
    t_1196 = (int)GET_NCI_I(0);
    t_1197 = (float)GET_NCI_N(1);
    t_1198 = (float)GET_NCI_N(2);
    t_1199 = (int)GET_NCI_I(3);
    t_1200 = (int)GET_NCI_I(4);
    t_1201 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1196,t_1197,t_1198,t_1199,t_1200,PMC_data(t_1201));
    
    
    
}
static void
pcf_v_iic(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, char);
    func_t pointer;
    call_state st;
    
    
    int t_1202;
    int t_1203;
    char t_1204;
    Parrot_init_arg_nci(interp, &st, "III");
    t_1202 = (int)GET_NCI_I(0);
    t_1203 = (int)GET_NCI_I(1);
    t_1204 = (char)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1202,t_1203,t_1204);
    
    
    
}
static void
pcf_v_iid(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, double);
    func_t pointer;
    call_state st;
    
    
    int t_1205;
    int t_1206;
    double t_1207;
    Parrot_init_arg_nci(interp, &st, "IIN");
    t_1205 = (int)GET_NCI_I(0);
    t_1206 = (int)GET_NCI_I(1);
    t_1207 = (double)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1205,t_1206,t_1207);
    
    
    
}
static void
pcf_v_iidddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1208;
    int t_1209;
    double t_1210;
    double t_1211;
    double t_1212;
    double t_1213;
    Parrot_init_arg_nci(interp, &st, "IINNNN");
    t_1208 = (int)GET_NCI_I(0);
    t_1209 = (int)GET_NCI_I(1);
    t_1210 = (double)GET_NCI_N(2);
    t_1211 = (double)GET_NCI_N(3);
    t_1212 = (double)GET_NCI_N(4);
    t_1213 = (double)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1208,t_1209,t_1210,t_1211,t_1212,t_1213);
    
    
    
}
static void
pcf_v_iif(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, float);
    func_t pointer;
    call_state st;
    
    
    int t_1214;
    int t_1215;
    float t_1216;
    Parrot_init_arg_nci(interp, &st, "IIN");
    t_1214 = (int)GET_NCI_I(0);
    t_1215 = (int)GET_NCI_I(1);
    t_1216 = (float)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1214,t_1215,t_1216);
    
    
    
}
static void
pcf_v_iiffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1217;
    int t_1218;
    float t_1219;
    float t_1220;
    float t_1221;
    float t_1222;
    Parrot_init_arg_nci(interp, &st, "IINNNN");
    t_1217 = (int)GET_NCI_I(0);
    t_1218 = (int)GET_NCI_I(1);
    t_1219 = (float)GET_NCI_N(2);
    t_1220 = (float)GET_NCI_N(3);
    t_1221 = (float)GET_NCI_N(4);
    t_1222 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1217,t_1218,t_1219,t_1220,t_1221,t_1222);
    
    
    
}
static void
pcf_v_iifffft(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, float, float, float, float, char *);
    func_t pointer;
    call_state st;
    
    
    int t_1223;
    int t_1224;
    float t_1225;
    float t_1226;
    float t_1227;
    float t_1228;
    char *t_1229;
    Parrot_init_arg_nci(interp, &st, "IINNNNS");
    t_1223 = (int)GET_NCI_I(0);
    t_1224 = (int)GET_NCI_I(1);
    t_1225 = (float)GET_NCI_N(2);
    t_1226 = (float)GET_NCI_N(3);
    t_1227 = (float)GET_NCI_N(4);
    t_1228 = (float)GET_NCI_N(5);
    {STRING * s= GET_NCI_S(6); t_1229 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1223,t_1224,t_1225,t_1226,t_1227,t_1228,t_1229);
    
    
    do { if (t_1229) string_cstring_free(t_1229); } while (0);
}
static void
pcf_v_iii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1230;
    int t_1231;
    int t_1232;
    Parrot_init_arg_nci(interp, &st, "III");
    t_1230 = (int)GET_NCI_I(0);
    t_1231 = (int)GET_NCI_I(1);
    t_1232 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1230,t_1231,t_1232);
    
    
    
}
static void
pcf_v_iiic(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, char);
    func_t pointer;
    call_state st;
    
    
    int t_1233;
    int t_1234;
    int t_1235;
    char t_1236;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1233 = (int)GET_NCI_I(0);
    t_1234 = (int)GET_NCI_I(1);
    t_1235 = (int)GET_NCI_I(2);
    t_1236 = (char)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1233,t_1234,t_1235,t_1236);
    
    
    
}
static void
pcf_v_iiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1237;
    int t_1238;
    int t_1239;
    int t_1240;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1237 = (int)GET_NCI_I(0);
    t_1238 = (int)GET_NCI_I(1);
    t_1239 = (int)GET_NCI_I(2);
    t_1240 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1237,t_1238,t_1239,t_1240);
    
    
    
}
static void
pcf_v_iiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1241;
    int t_1242;
    int t_1243;
    int t_1244;
    int t_1245;
    Parrot_init_arg_nci(interp, &st, "IIIII");
    t_1241 = (int)GET_NCI_I(0);
    t_1242 = (int)GET_NCI_I(1);
    t_1243 = (int)GET_NCI_I(2);
    t_1244 = (int)GET_NCI_I(3);
    t_1245 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1241,t_1242,t_1243,t_1244,t_1245);
    
    
    
}
static void
pcf_v_iiiiicp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, char, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1246;
    int t_1247;
    int t_1248;
    int t_1249;
    int t_1250;
    char t_1251;
    PMC *t_1252;
    Parrot_init_arg_nci(interp, &st, "IIIIIIP");
    t_1246 = (int)GET_NCI_I(0);
    t_1247 = (int)GET_NCI_I(1);
    t_1248 = (int)GET_NCI_I(2);
    t_1249 = (int)GET_NCI_I(3);
    t_1250 = (int)GET_NCI_I(4);
    t_1251 = (char)GET_NCI_I(5);
    t_1252 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1246,t_1247,t_1248,t_1249,t_1250,t_1251,PMC_data(t_1252));
    
    
    
}
static void
pcf_v_iiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1253;
    int t_1254;
    int t_1255;
    int t_1256;
    int t_1257;
    int t_1258;
    Parrot_init_arg_nci(interp, &st, "IIIIII");
    t_1253 = (int)GET_NCI_I(0);
    t_1254 = (int)GET_NCI_I(1);
    t_1255 = (int)GET_NCI_I(2);
    t_1256 = (int)GET_NCI_I(3);
    t_1257 = (int)GET_NCI_I(4);
    t_1258 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1253,t_1254,t_1255,t_1256,t_1257,t_1258);
    
    
    
}
static void
pcf_v_iiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1259;
    int t_1260;
    int t_1261;
    int t_1262;
    int t_1263;
    int t_1264;
    int t_1265;
    Parrot_init_arg_nci(interp, &st, "IIIIIII");
    t_1259 = (int)GET_NCI_I(0);
    t_1260 = (int)GET_NCI_I(1);
    t_1261 = (int)GET_NCI_I(2);
    t_1262 = (int)GET_NCI_I(3);
    t_1263 = (int)GET_NCI_I(4);
    t_1264 = (int)GET_NCI_I(5);
    t_1265 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1259,t_1260,t_1261,t_1262,t_1263,t_1264,t_1265);
    
    
    
}
static void
pcf_v_iiiiiiiccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, char, char, char);
    func_t pointer;
    call_state st;
    
    
    int t_1266;
    int t_1267;
    int t_1268;
    int t_1269;
    int t_1270;
    int t_1271;
    int t_1272;
    char t_1273;
    char t_1274;
    char t_1275;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIII");
    t_1266 = (int)GET_NCI_I(0);
    t_1267 = (int)GET_NCI_I(1);
    t_1268 = (int)GET_NCI_I(2);
    t_1269 = (int)GET_NCI_I(3);
    t_1270 = (int)GET_NCI_I(4);
    t_1271 = (int)GET_NCI_I(5);
    t_1272 = (int)GET_NCI_I(6);
    t_1273 = (char)GET_NCI_I(7);
    t_1274 = (char)GET_NCI_I(8);
    t_1275 = (char)GET_NCI_I(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1266,t_1267,t_1268,t_1269,t_1270,t_1271,t_1272,t_1273,t_1274,t_1275);
    
    
    
}
static void
pcf_v_iiiiiiicp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, char, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1276;
    int t_1277;
    int t_1278;
    int t_1279;
    int t_1280;
    int t_1281;
    int t_1282;
    char t_1283;
    PMC *t_1284;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIP");
    t_1276 = (int)GET_NCI_I(0);
    t_1277 = (int)GET_NCI_I(1);
    t_1278 = (int)GET_NCI_I(2);
    t_1279 = (int)GET_NCI_I(3);
    t_1280 = (int)GET_NCI_I(4);
    t_1281 = (int)GET_NCI_I(5);
    t_1282 = (int)GET_NCI_I(6);
    t_1283 = (char)GET_NCI_I(7);
    t_1284 = GET_NCI_P(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1276,t_1277,t_1278,t_1279,t_1280,t_1281,t_1282,t_1283,PMC_data(t_1284));
    
    
    
}
static void
pcf_v_iiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1285;
    int t_1286;
    int t_1287;
    int t_1288;
    int t_1289;
    int t_1290;
    int t_1291;
    int t_1292;
    Parrot_init_arg_nci(interp, &st, "IIIIIIII");
    t_1285 = (int)GET_NCI_I(0);
    t_1286 = (int)GET_NCI_I(1);
    t_1287 = (int)GET_NCI_I(2);
    t_1288 = (int)GET_NCI_I(3);
    t_1289 = (int)GET_NCI_I(4);
    t_1290 = (int)GET_NCI_I(5);
    t_1291 = (int)GET_NCI_I(6);
    t_1292 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1285,t_1286,t_1287,t_1288,t_1289,t_1290,t_1291,t_1292);
    
    
    
}
static void
pcf_v_iiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1293;
    int t_1294;
    int t_1295;
    int t_1296;
    int t_1297;
    int t_1298;
    int t_1299;
    int t_1300;
    int t_1301;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIII");
    t_1293 = (int)GET_NCI_I(0);
    t_1294 = (int)GET_NCI_I(1);
    t_1295 = (int)GET_NCI_I(2);
    t_1296 = (int)GET_NCI_I(3);
    t_1297 = (int)GET_NCI_I(4);
    t_1298 = (int)GET_NCI_I(5);
    t_1299 = (int)GET_NCI_I(6);
    t_1300 = (int)GET_NCI_I(7);
    t_1301 = (int)GET_NCI_I(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1293,t_1294,t_1295,t_1296,t_1297,t_1298,t_1299,t_1300,t_1301);
    
    
    
}
static void
pcf_v_iiiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1302;
    int t_1303;
    int t_1304;
    int t_1305;
    int t_1306;
    int t_1307;
    int t_1308;
    int t_1309;
    int t_1310;
    int t_1311;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIII");
    t_1302 = (int)GET_NCI_I(0);
    t_1303 = (int)GET_NCI_I(1);
    t_1304 = (int)GET_NCI_I(2);
    t_1305 = (int)GET_NCI_I(3);
    t_1306 = (int)GET_NCI_I(4);
    t_1307 = (int)GET_NCI_I(5);
    t_1308 = (int)GET_NCI_I(6);
    t_1309 = (int)GET_NCI_I(7);
    t_1310 = (int)GET_NCI_I(8);
    t_1311 = (int)GET_NCI_I(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1302,t_1303,t_1304,t_1305,t_1306,t_1307,t_1308,t_1309,t_1310,t_1311);
    
    
    
}
static void
pcf_v_iiiiiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1312;
    int t_1313;
    int t_1314;
    int t_1315;
    int t_1316;
    int t_1317;
    int t_1318;
    int t_1319;
    int t_1320;
    int t_1321;
    int t_1322;
    int t_1323;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIIII");
    t_1312 = (int)GET_NCI_I(0);
    t_1313 = (int)GET_NCI_I(1);
    t_1314 = (int)GET_NCI_I(2);
    t_1315 = (int)GET_NCI_I(3);
    t_1316 = (int)GET_NCI_I(4);
    t_1317 = (int)GET_NCI_I(5);
    t_1318 = (int)GET_NCI_I(6);
    t_1319 = (int)GET_NCI_I(7);
    t_1320 = (int)GET_NCI_I(8);
    t_1321 = (int)GET_NCI_I(9);
    t_1322 = (int)GET_NCI_I(10);
    t_1323 = (int)GET_NCI_I(11);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1312,t_1313,t_1314,t_1315,t_1316,t_1317,t_1318,t_1319,t_1320,t_1321,t_1322,t_1323);
    
    
    
}
static void
pcf_v_iiiiiiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1324;
    int t_1325;
    int t_1326;
    int t_1327;
    int t_1328;
    int t_1329;
    int t_1330;
    int t_1331;
    int t_1332;
    int t_1333;
    int t_1334;
    int t_1335;
    int t_1336;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIIIII");
    t_1324 = (int)GET_NCI_I(0);
    t_1325 = (int)GET_NCI_I(1);
    t_1326 = (int)GET_NCI_I(2);
    t_1327 = (int)GET_NCI_I(3);
    t_1328 = (int)GET_NCI_I(4);
    t_1329 = (int)GET_NCI_I(5);
    t_1330 = (int)GET_NCI_I(6);
    t_1331 = (int)GET_NCI_I(7);
    t_1332 = (int)GET_NCI_I(8);
    t_1333 = (int)GET_NCI_I(9);
    t_1334 = (int)GET_NCI_I(10);
    t_1335 = (int)GET_NCI_I(11);
    t_1336 = (int)GET_NCI_I(12);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1324,t_1325,t_1326,t_1327,t_1328,t_1329,t_1330,t_1331,t_1332,t_1333,t_1334,t_1335,t_1336);
    
    
    
}
static void
pcf_v_iiiiiiiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1337;
    int t_1338;
    int t_1339;
    int t_1340;
    int t_1341;
    int t_1342;
    int t_1343;
    int t_1344;
    int t_1345;
    int t_1346;
    int t_1347;
    int t_1348;
    PMC *t_1349;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIIIIP");
    t_1337 = (int)GET_NCI_I(0);
    t_1338 = (int)GET_NCI_I(1);
    t_1339 = (int)GET_NCI_I(2);
    t_1340 = (int)GET_NCI_I(3);
    t_1341 = (int)GET_NCI_I(4);
    t_1342 = (int)GET_NCI_I(5);
    t_1343 = (int)GET_NCI_I(6);
    t_1344 = (int)GET_NCI_I(7);
    t_1345 = (int)GET_NCI_I(8);
    t_1346 = (int)GET_NCI_I(9);
    t_1347 = (int)GET_NCI_I(10);
    t_1348 = (int)GET_NCI_I(11);
    t_1349 = GET_NCI_P(12);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1337,t_1338,t_1339,t_1340,t_1341,t_1342,t_1343,t_1344,t_1345,t_1346,t_1347,t_1348,PMC_data(t_1349));
    
    
    
}
static void
pcf_v_iiiiiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1350;
    int t_1351;
    int t_1352;
    int t_1353;
    int t_1354;
    int t_1355;
    int t_1356;
    int t_1357;
    int t_1358;
    int t_1359;
    PMC *t_1360;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIIP");
    t_1350 = (int)GET_NCI_I(0);
    t_1351 = (int)GET_NCI_I(1);
    t_1352 = (int)GET_NCI_I(2);
    t_1353 = (int)GET_NCI_I(3);
    t_1354 = (int)GET_NCI_I(4);
    t_1355 = (int)GET_NCI_I(5);
    t_1356 = (int)GET_NCI_I(6);
    t_1357 = (int)GET_NCI_I(7);
    t_1358 = (int)GET_NCI_I(8);
    t_1359 = (int)GET_NCI_I(9);
    t_1360 = GET_NCI_P(10);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1350,t_1351,t_1352,t_1353,t_1354,t_1355,t_1356,t_1357,t_1358,t_1359,PMC_data(t_1360));
    
    
    
}
static void
pcf_v_iiiiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1361;
    int t_1362;
    int t_1363;
    int t_1364;
    int t_1365;
    int t_1366;
    int t_1367;
    int t_1368;
    int t_1369;
    PMC *t_1370;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIP");
    t_1361 = (int)GET_NCI_I(0);
    t_1362 = (int)GET_NCI_I(1);
    t_1363 = (int)GET_NCI_I(2);
    t_1364 = (int)GET_NCI_I(3);
    t_1365 = (int)GET_NCI_I(4);
    t_1366 = (int)GET_NCI_I(5);
    t_1367 = (int)GET_NCI_I(6);
    t_1368 = (int)GET_NCI_I(7);
    t_1369 = (int)GET_NCI_I(8);
    t_1370 = GET_NCI_P(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1361,t_1362,t_1363,t_1364,t_1365,t_1366,t_1367,t_1368,t_1369,PMC_data(t_1370));
    
    
    
}
static void
pcf_v_iiiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1371;
    int t_1372;
    int t_1373;
    int t_1374;
    int t_1375;
    int t_1376;
    int t_1377;
    int t_1378;
    PMC *t_1379;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIP");
    t_1371 = (int)GET_NCI_I(0);
    t_1372 = (int)GET_NCI_I(1);
    t_1373 = (int)GET_NCI_I(2);
    t_1374 = (int)GET_NCI_I(3);
    t_1375 = (int)GET_NCI_I(4);
    t_1376 = (int)GET_NCI_I(5);
    t_1377 = (int)GET_NCI_I(6);
    t_1378 = (int)GET_NCI_I(7);
    t_1379 = GET_NCI_P(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1371,t_1372,t_1373,t_1374,t_1375,t_1376,t_1377,t_1378,PMC_data(t_1379));
    
    
    
}
static void
pcf_v_iiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1380;
    int t_1381;
    int t_1382;
    int t_1383;
    int t_1384;
    int t_1385;
    int t_1386;
    PMC *t_1387;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIP");
    t_1380 = (int)GET_NCI_I(0);
    t_1381 = (int)GET_NCI_I(1);
    t_1382 = (int)GET_NCI_I(2);
    t_1383 = (int)GET_NCI_I(3);
    t_1384 = (int)GET_NCI_I(4);
    t_1385 = (int)GET_NCI_I(5);
    t_1386 = (int)GET_NCI_I(6);
    t_1387 = GET_NCI_P(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1380,t_1381,t_1382,t_1383,t_1384,t_1385,t_1386,PMC_data(t_1387));
    
    
    
}
static void
pcf_v_iiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1388;
    int t_1389;
    int t_1390;
    int t_1391;
    int t_1392;
    int t_1393;
    PMC *t_1394;
    Parrot_init_arg_nci(interp, &st, "IIIIIIP");
    t_1388 = (int)GET_NCI_I(0);
    t_1389 = (int)GET_NCI_I(1);
    t_1390 = (int)GET_NCI_I(2);
    t_1391 = (int)GET_NCI_I(3);
    t_1392 = (int)GET_NCI_I(4);
    t_1393 = (int)GET_NCI_I(5);
    t_1394 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1388,t_1389,t_1390,t_1391,t_1392,t_1393,PMC_data(t_1394));
    
    
    
}
static void
pcf_v_iiiiiipp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, void *, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1395;
    int t_1396;
    int t_1397;
    int t_1398;
    int t_1399;
    int t_1400;
    PMC *t_1401;
    PMC *t_1402;
    Parrot_init_arg_nci(interp, &st, "IIIIIIPP");
    t_1395 = (int)GET_NCI_I(0);
    t_1396 = (int)GET_NCI_I(1);
    t_1397 = (int)GET_NCI_I(2);
    t_1398 = (int)GET_NCI_I(3);
    t_1399 = (int)GET_NCI_I(4);
    t_1400 = (int)GET_NCI_I(5);
    t_1401 = GET_NCI_P(6);
    t_1402 = GET_NCI_P(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1395,t_1396,t_1397,t_1398,t_1399,t_1400,PMC_data(t_1401),PMC_data(t_1402));
    
    
    
}
static void
pcf_v_iiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1403;
    int t_1404;
    int t_1405;
    int t_1406;
    int t_1407;
    PMC *t_1408;
    Parrot_init_arg_nci(interp, &st, "IIIIIP");
    t_1403 = (int)GET_NCI_I(0);
    t_1404 = (int)GET_NCI_I(1);
    t_1405 = (int)GET_NCI_I(2);
    t_1406 = (int)GET_NCI_I(3);
    t_1407 = (int)GET_NCI_I(4);
    t_1408 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1403,t_1404,t_1405,t_1406,t_1407,PMC_data(t_1408));
    
    
    
}
static void
pcf_v_iiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1409;
    int t_1410;
    int t_1411;
    int t_1412;
    PMC *t_1413;
    Parrot_init_arg_nci(interp, &st, "IIIIP");
    t_1409 = (int)GET_NCI_I(0);
    t_1410 = (int)GET_NCI_I(1);
    t_1411 = (int)GET_NCI_I(2);
    t_1412 = (int)GET_NCI_I(3);
    t_1413 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1409,t_1410,t_1411,t_1412,PMC_data(t_1413));
    
    
    
}
static void
pcf_v_iiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1414;
    int t_1415;
    int t_1416;
    PMC *t_1417;
    Parrot_init_arg_nci(interp, &st, "IIIP");
    t_1414 = (int)GET_NCI_I(0);
    t_1415 = (int)GET_NCI_I(1);
    t_1416 = (int)GET_NCI_I(2);
    t_1417 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1414,t_1415,t_1416,PMC_data(t_1417));
    
    
    
}
static void
pcf_v_iiipi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1418;
    int t_1419;
    int t_1420;
    PMC *t_1421;
    int t_1422;
    Parrot_init_arg_nci(interp, &st, "IIIPI");
    t_1418 = (int)GET_NCI_I(0);
    t_1419 = (int)GET_NCI_I(1);
    t_1420 = (int)GET_NCI_I(2);
    t_1421 = GET_NCI_P(3);
    t_1422 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1418,t_1419,t_1420,PMC_data(t_1421),t_1422);
    
    
    
}
static void
pcf_v_iiippp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, void *, void *, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1423;
    int t_1424;
    int t_1425;
    PMC *t_1426;
    PMC *t_1427;
    PMC *t_1428;
    Parrot_init_arg_nci(interp, &st, "IIIPPP");
    t_1423 = (int)GET_NCI_I(0);
    t_1424 = (int)GET_NCI_I(1);
    t_1425 = (int)GET_NCI_I(2);
    t_1426 = GET_NCI_P(3);
    t_1427 = GET_NCI_P(4);
    t_1428 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1423,t_1424,t_1425,PMC_data(t_1426),PMC_data(t_1427),PMC_data(t_1428));
    
    
    
}
static void
pcf_v_iiit(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, char *);
    func_t pointer;
    call_state st;
    
    
    int t_1429;
    int t_1430;
    int t_1431;
    char *t_1432;
    Parrot_init_arg_nci(interp, &st, "IIIS");
    t_1429 = (int)GET_NCI_I(0);
    t_1430 = (int)GET_NCI_I(1);
    t_1431 = (int)GET_NCI_I(2);
    {STRING * s= GET_NCI_S(3); t_1432 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1429,t_1430,t_1431,t_1432);
    
    
    do { if (t_1432) string_cstring_free(t_1432); } while (0);
}
static void
pcf_v_iip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1433;
    int t_1434;
    PMC *t_1435;
    Parrot_init_arg_nci(interp, &st, "IIP");
    t_1433 = (int)GET_NCI_I(0);
    t_1434 = (int)GET_NCI_I(1);
    t_1435 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1433,t_1434,PMC_data(t_1435));
    
    
    
}
static void
pcf_v_iipi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1436;
    int t_1437;
    PMC *t_1438;
    int t_1439;
    Parrot_init_arg_nci(interp, &st, "IIPI");
    t_1436 = (int)GET_NCI_I(0);
    t_1437 = (int)GET_NCI_I(1);
    t_1438 = GET_NCI_P(2);
    t_1439 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1436,t_1437,PMC_data(t_1438),t_1439);
    
    
    
}
static void
pcf_v_iit(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, char *);
    func_t pointer;
    call_state st;
    
    
    int t_1440;
    int t_1441;
    char *t_1442;
    Parrot_init_arg_nci(interp, &st, "IIS");
    t_1440 = (int)GET_NCI_I(0);
    t_1441 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_1442 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1440,t_1441,t_1442);
    
    
    do { if (t_1442) string_cstring_free(t_1442); } while (0);
}
static void
pcf_v_ip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1443;
    PMC *t_1444;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_1443 = (int)GET_NCI_I(0);
    t_1444 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1443,PMC_data(t_1444));
    
    
    
}
static void
pcf_v_ipi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1445;
    PMC *t_1446;
    int t_1447;
    Parrot_init_arg_nci(interp, &st, "IPI");
    t_1445 = (int)GET_NCI_I(0);
    t_1446 = GET_NCI_P(1);
    t_1447 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1445,PMC_data(t_1446),t_1447);
    
    
    
}
static void
pcf_v_ipipi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, int, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1448;
    PMC *t_1449;
    int t_1450;
    PMC *t_1451;
    int t_1452;
    Parrot_init_arg_nci(interp, &st, "IPIPI");
    t_1448 = (int)GET_NCI_I(0);
    t_1449 = GET_NCI_P(1);
    t_1450 = (int)GET_NCI_I(2);
    t_1451 = GET_NCI_P(3);
    t_1452 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1448,PMC_data(t_1449),t_1450,PMC_data(t_1451),t_1452);
    
    
    
}
static void
pcf_v_ipp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1453;
    PMC *t_1454;
    PMC *t_1455;
    Parrot_init_arg_nci(interp, &st, "IPP");
    t_1453 = (int)GET_NCI_I(0);
    t_1454 = GET_NCI_P(1);
    t_1455 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1453,PMC_data(t_1454),PMC_data(t_1455));
    
    
    
}
static void
pcf_v_ippi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1456;
    PMC *t_1457;
    PMC *t_1458;
    int t_1459;
    Parrot_init_arg_nci(interp, &st, "IPPI");
    t_1456 = (int)GET_NCI_I(0);
    t_1457 = GET_NCI_P(1);
    t_1458 = GET_NCI_P(2);
    t_1459 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1456,PMC_data(t_1457),PMC_data(t_1458),t_1459);
    
    
    
}
static void
pcf_v_ippii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, void *, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1460;
    PMC *t_1461;
    PMC *t_1462;
    int t_1463;
    int t_1464;
    Parrot_init_arg_nci(interp, &st, "IPPII");
    t_1460 = (int)GET_NCI_I(0);
    t_1461 = GET_NCI_P(1);
    t_1462 = GET_NCI_P(2);
    t_1463 = (int)GET_NCI_I(3);
    t_1464 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1460,PMC_data(t_1461),PMC_data(t_1462),t_1463,t_1464);
    
    
    
}
static void
pcf_v_is(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, short);
    func_t pointer;
    call_state st;
    
    
    int t_1465;
    short t_1466;
    Parrot_init_arg_nci(interp, &st, "II");
    t_1465 = (int)GET_NCI_I(0);
    t_1466 = (short)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1465,t_1466);
    
    
    
}
static void
pcf_v_iss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, short, short);
    func_t pointer;
    call_state st;
    
    
    int t_1467;
    short t_1468;
    short t_1469;
    Parrot_init_arg_nci(interp, &st, "III");
    t_1467 = (int)GET_NCI_I(0);
    t_1468 = (short)GET_NCI_I(1);
    t_1469 = (short)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1467,t_1468,t_1469);
    
    
    
}
static void
pcf_v_isss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, short, short, short);
    func_t pointer;
    call_state st;
    
    
    int t_1470;
    short t_1471;
    short t_1472;
    short t_1473;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1470 = (int)GET_NCI_I(0);
    t_1471 = (short)GET_NCI_I(1);
    t_1472 = (short)GET_NCI_I(2);
    t_1473 = (short)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1470,t_1471,t_1472,t_1473);
    
    
    
}
static void
pcf_v_issss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, short, short, short, short);
    func_t pointer;
    call_state st;
    
    
    int t_1474;
    short t_1475;
    short t_1476;
    short t_1477;
    short t_1478;
    Parrot_init_arg_nci(interp, &st, "IIIII");
    t_1474 = (int)GET_NCI_I(0);
    t_1475 = (short)GET_NCI_I(1);
    t_1476 = (short)GET_NCI_I(2);
    t_1477 = (short)GET_NCI_I(3);
    t_1478 = (short)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1474,t_1475,t_1476,t_1477,t_1478);
    
    
    
}
static void
pcf_v_it(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char *);
    func_t pointer;
    call_state st;
    
    
    int t_1479;
    char *t_1480;
    Parrot_init_arg_nci(interp, &st, "IS");
    t_1479 = (int)GET_NCI_I(0);
    {STRING * s= GET_NCI_S(1); t_1480 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1479,t_1480);
    
    
    do { if (t_1480) string_cstring_free(t_1480); } while (0);
}
static void
pcf_v_iti(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1481;
    char *t_1482;
    int t_1483;
    Parrot_init_arg_nci(interp, &st, "ISI");
    t_1481 = (int)GET_NCI_I(0);
    {STRING * s= GET_NCI_S(1); t_1482 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_1483 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1481,t_1482,t_1483);
    
    
    do { if (t_1482) string_cstring_free(t_1482); } while (0);
}
static void
pcf_v_pc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, char);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1484;
    char t_1485;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_1484 = GET_NCI_P(0);
    t_1485 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1484),t_1485);
    
    
    
}
static void
pcf_v_pddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, double, double);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1486;
    double t_1487;
    double t_1488;
    double t_1489;
    Parrot_init_arg_nci(interp, &st, "PNNN");
    t_1486 = GET_NCI_P(0);
    t_1487 = (double)GET_NCI_N(1);
    t_1488 = (double)GET_NCI_N(2);
    t_1489 = (double)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1486),t_1487,t_1488,t_1489);
    
    
    
}
static void
pcf_v_pdddii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, double, double, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1490;
    double t_1491;
    double t_1492;
    double t_1493;
    int t_1494;
    int t_1495;
    Parrot_init_arg_nci(interp, &st, "PNNNII");
    t_1490 = GET_NCI_P(0);
    t_1491 = (double)GET_NCI_N(1);
    t_1492 = (double)GET_NCI_N(2);
    t_1493 = (double)GET_NCI_N(3);
    t_1494 = (int)GET_NCI_I(4);
    t_1495 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1490),t_1491,t_1492,t_1493,t_1494,t_1495);
    
    
    
}
static void
pcf_v_pddii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, double, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1496;
    double t_1497;
    double t_1498;
    int t_1499;
    int t_1500;
    Parrot_init_arg_nci(interp, &st, "PNNII");
    t_1496 = GET_NCI_P(0);
    t_1497 = (double)GET_NCI_N(1);
    t_1498 = (double)GET_NCI_N(2);
    t_1499 = (int)GET_NCI_I(3);
    t_1500 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1496),t_1497,t_1498,t_1499,t_1500);
    
    
    
}
static void
pcf_v_pddiidd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, double, int, int, double, double);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1501;
    double t_1502;
    double t_1503;
    int t_1504;
    int t_1505;
    double t_1506;
    double t_1507;
    Parrot_init_arg_nci(interp, &st, "PNNIINN");
    t_1501 = GET_NCI_P(0);
    t_1502 = (double)GET_NCI_N(1);
    t_1503 = (double)GET_NCI_N(2);
    t_1504 = (int)GET_NCI_I(3);
    t_1505 = (int)GET_NCI_I(4);
    t_1506 = (double)GET_NCI_N(5);
    t_1507 = (double)GET_NCI_N(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1501),t_1502,t_1503,t_1504,t_1505,t_1506,t_1507);
    
    
    
}
static void
pcf_v_pdii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1508;
    double t_1509;
    int t_1510;
    int t_1511;
    Parrot_init_arg_nci(interp, &st, "PNII");
    t_1508 = GET_NCI_P(0);
    t_1509 = (double)GET_NCI_N(1);
    t_1510 = (int)GET_NCI_I(2);
    t_1511 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1508),t_1509,t_1510,t_1511);
    
    
    
}
static void
pcf_v_pid(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, double);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1512;
    int t_1513;
    double t_1514;
    Parrot_init_arg_nci(interp, &st, "PIN");
    t_1512 = GET_NCI_P(0);
    t_1513 = (int)GET_NCI_I(1);
    t_1514 = (double)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1512),t_1513,t_1514);
    
    
    
}
static void
pcf_v_pif(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, float);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1515;
    int t_1516;
    float t_1517;
    Parrot_init_arg_nci(interp, &st, "PIN");
    t_1515 = GET_NCI_P(0);
    t_1516 = (int)GET_NCI_I(1);
    t_1517 = (float)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1515),t_1516,t_1517);
    
    
    
}
static void
pcf_v_pipii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, void *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1518;
    int t_1519;
    PMC *t_1520;
    int t_1521;
    int t_1522;
    Parrot_init_arg_nci(interp, &st, "PIPII");
    t_1518 = GET_NCI_P(0);
    t_1519 = (int)GET_NCI_I(1);
    t_1520 = GET_NCI_P(2);
    t_1521 = (int)GET_NCI_I(3);
    t_1522 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1518),t_1519,PMC_data(t_1520),t_1521,t_1522);
    
    
    
}
static void
pcf_v_pipipii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, void *, int, void *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1523;
    int t_1524;
    PMC *t_1525;
    int t_1526;
    PMC *t_1527;
    int t_1528;
    int t_1529;
    Parrot_init_arg_nci(interp, &st, "PIPIPII");
    t_1523 = GET_NCI_P(0);
    t_1524 = (int)GET_NCI_I(1);
    t_1525 = GET_NCI_P(2);
    t_1526 = (int)GET_NCI_I(3);
    t_1527 = GET_NCI_P(4);
    t_1528 = (int)GET_NCI_I(5);
    t_1529 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1523),t_1524,PMC_data(t_1525),t_1526,PMC_data(t_1527),t_1528,t_1529);
    
    
    
}
static void
pcf_v_pipipiipiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, void *, int, void *, int, int, void *, int, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1530;
    int t_1531;
    PMC *t_1532;
    int t_1533;
    PMC *t_1534;
    int t_1535;
    int t_1536;
    PMC *t_1537;
    int t_1538;
    int t_1539;
    int t_1540;
    Parrot_init_arg_nci(interp, &st, "PIPIPIIPIII");
    t_1530 = GET_NCI_P(0);
    t_1531 = (int)GET_NCI_I(1);
    t_1532 = GET_NCI_P(2);
    t_1533 = (int)GET_NCI_I(3);
    t_1534 = GET_NCI_P(4);
    t_1535 = (int)GET_NCI_I(5);
    t_1536 = (int)GET_NCI_I(6);
    t_1537 = GET_NCI_P(7);
    t_1538 = (int)GET_NCI_I(8);
    t_1539 = (int)GET_NCI_I(9);
    t_1540 = (int)GET_NCI_I(10);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1530),t_1531,PMC_data(t_1532),t_1533,PMC_data(t_1534),t_1535,t_1536,PMC_data(t_1537),t_1538,t_1539,t_1540);
    
    
    
}
static void
pcf_v_ppipii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, int, void *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1541;
    PMC *t_1542;
    int t_1543;
    PMC *t_1544;
    int t_1545;
    int t_1546;
    Parrot_init_arg_nci(interp, &st, "PPIPII");
    t_1541 = GET_NCI_P(0);
    t_1542 = GET_NCI_P(1);
    t_1543 = (int)GET_NCI_I(2);
    t_1544 = GET_NCI_P(3);
    t_1545 = (int)GET_NCI_I(4);
    t_1546 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1541),PMC_data(t_1542),t_1543,PMC_data(t_1544),t_1545,t_1546);
    
    
    
}
static void
pcf_v_ppp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1547;
    PMC *t_1548;
    PMC *t_1549;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_1547 = GET_NCI_P(0);
    t_1548 = GET_NCI_P(1);
    t_1549 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1547),PMC_data(t_1548),PMC_data(t_1549));
    
    
    
}
static void
pcf_v_pppp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1550;
    PMC *t_1551;
    PMC *t_1552;
    PMC *t_1553;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_1550 = GET_NCI_P(0);
    t_1551 = GET_NCI_P(1);
    t_1552 = GET_NCI_P(2);
    t_1553 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1550),PMC_data(t_1551),PMC_data(t_1552),PMC_data(t_1553));
    
    
    
}
static void
pcf_v_ppppp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1554;
    PMC *t_1555;
    PMC *t_1556;
    PMC *t_1557;
    PMC *t_1558;
    Parrot_init_arg_nci(interp, &st, "PPPPP");
    t_1554 = GET_NCI_P(0);
    t_1555 = GET_NCI_P(1);
    t_1556 = GET_NCI_P(2);
    t_1557 = GET_NCI_P(3);
    t_1558 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1554),PMC_data(t_1555),PMC_data(t_1556),PMC_data(t_1557),PMC_data(t_1558));
    
    
    
}
static void
pcf_v_ptp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, char *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1559;
    char *t_1560;
    PMC *t_1561;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_1559 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_1560 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_1561 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1559),t_1560,PMC_data(t_1561));
    
    
    do { if (t_1560) string_cstring_free(t_1560); } while (0);
}
static void
pcf_v_s(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(short);
    func_t pointer;
    call_state st;
    
    
    short t_1562;
    Parrot_init_arg_nci(interp, &st, "I");
    t_1562 = (short)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1562);
    
    
    
}
static void
pcf_v_ss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(short, short);
    func_t pointer;
    call_state st;
    
    
    short t_1563;
    short t_1564;
    Parrot_init_arg_nci(interp, &st, "II");
    t_1563 = (short)GET_NCI_I(0);
    t_1564 = (short)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1563,t_1564);
    
    
    
}
static void
pcf_v_sss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(short, short, short);
    func_t pointer;
    call_state st;
    
    
    short t_1565;
    short t_1566;
    short t_1567;
    Parrot_init_arg_nci(interp, &st, "III");
    t_1565 = (short)GET_NCI_I(0);
    t_1566 = (short)GET_NCI_I(1);
    t_1567 = (short)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1565,t_1566,t_1567);
    
    
    
}
static void
pcf_v_ssss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(short, short, short, short);
    func_t pointer;
    call_state st;
    
    
    short t_1568;
    short t_1569;
    short t_1570;
    short t_1571;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1568 = (short)GET_NCI_I(0);
    t_1569 = (short)GET_NCI_I(1);
    t_1570 = (short)GET_NCI_I(2);
    t_1571 = (short)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1568,t_1569,t_1570,t_1571);
    
    
    
}
static void
pcf_v_ti(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char *, int);
    func_t pointer;
    call_state st;
    
    
    char *t_1572;
    int t_1573;
    Parrot_init_arg_nci(interp, &st, "SI");
    {STRING * s= GET_NCI_S(0); t_1572 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_1573 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1572,t_1573);
    
    
    do { if (t_1572) string_cstring_free(t_1572); } while (0);
}
static void
pcf_v_tp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char *, void *);
    func_t pointer;
    call_state st;
    
    
    char *t_1574;
    PMC *t_1575;
    Parrot_init_arg_nci(interp, &st, "SP");
    {STRING * s= GET_NCI_S(0); t_1574 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_1575 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1574,PMC_data(t_1575));
    
    
    do { if (t_1574) string_cstring_free(t_1574); } while (0);
}


/* This function serves a single purpose. It takes the function
   signature for a C function we want to call and returns a pointer
   to a function that can call it. */
void *
build_call_func(PARROT_INTERP,
#if defined(CAN_BUILD_CALL_FRAMES)
PMC *pmc_nci,
#else
SHIM(PMC *pmc_nci),
#endif
NOTNULL(STRING *signature), NOTNULL(int *jitted))
{
    char       *c;
    STRING     *ns, *message;
    STRING     *jit_key_name;
    PMC        *b;
    PMC        *iglobals;
    PMC        *temp_pmc;
    UINTVAL    signature_len;

    PMC        *HashPointer   = NULL;

    /* And in here is the platform-independent way. Which is to say
       "here there be hacks" */
    signature_len = string_length(interp, signature);
    if (0 == signature_len)
       return F2DPTR(pcf_v_);
    /* remove deprecated void argument 'v' character */
    if (2 == signature_len && 'v' == string_index(interp, signature, 1)) {
       Parrot_warn(interp, PARROT_WARNINGS_ALL_FLAG, "function signature argument character 'v' ignored");
       string_chopn_inplace(interp, signature, 1);
       signature_len = string_length(interp, signature);
    }

    iglobals = interp->iglobals;

    if (PMC_IS_NULL(iglobals))
        PANIC(interp, "iglobals isn't created yet");
    HashPointer = VTABLE_get_pmc_keyed_int(interp, iglobals,
            IGLOBALS_NCI_FUNCS);

    if (!HashPointer) {
        HashPointer = pmc_new(interp, enum_class_Hash);
        VTABLE_set_pmc_keyed_int(interp, iglobals, IGLOBALS_NCI_FUNCS,
                HashPointer);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_d_JOd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "dJOd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_Jt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JOS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJOS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOPSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOPSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPIP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPIP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPNP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPNP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPN;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPN"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPIP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPIP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPNP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPNP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOSSS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOSSS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOSS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOSS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JOI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJOI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOb;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOb"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JOPxAT_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJOP@"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOPxAT_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOP@"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOIPxAT_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOIP@"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_Ji;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JpP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJpP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_Jpii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJpii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_tp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "itp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_J;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJ"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Jp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_J;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tJ"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_Jpti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tJpti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_pt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tpt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ptt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vptt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_Jtiiipt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJtiiipt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_JtP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJtP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_Jtti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJtti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "v"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_Jiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_illllllll;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "villllllll"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_l;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pbip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpbip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_piiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_P;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPPPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPPPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOSI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOSI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOSII;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOSII"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Ji;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Jipp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJipp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Jbip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJbip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_Jp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_tt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ttt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOSI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOSI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JOi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJOi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_N_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "NJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JON;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJON"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOIS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOIS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JOSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJOSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_i3i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ii3i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ibi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iibi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_lttl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "llttl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "Si"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pttttt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipttttt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_pttt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cpttt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pttttiti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppttttiti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ptl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iptl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "l"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ptt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pptt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_ttl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lttl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_pttl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lpttl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_t;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_tiB3P;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ptiB3P"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_tip3P;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ptip3P"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pPtiiipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipPtiiipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_tpiibi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "itpiibi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ptippppi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pptippppi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pi33ipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppi33ipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pttip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppttip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ptipppi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pptipppi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ppP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pppP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_iiil;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "piiil"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ptp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pptp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pt33;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipt33"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "c"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cpi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_d_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "d"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_d_d;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "dd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_f_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "f"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_f_ff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "fff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_f_is;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "fis"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_b;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ib"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_d;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "id"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ii4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iii4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ii4i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iii4i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiilsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iil;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiil"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iili;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiili"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ilsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_l;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "il"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_li;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ili"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_lp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ilp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_lsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p33;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip33"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p333;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip333"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p333333;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip333333"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p42p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip42p"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p4i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip4i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pb;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipb"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pii4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipii4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pii4i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipii4i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piiilsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiiilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piil;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiil"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piili;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiili"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piiti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiiti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pilsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pli;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipli"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pll;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipll"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pllllllll;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipllllllll"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_plp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iplp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_plsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iplsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_psp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pitl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipitl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_s;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "is"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_s22;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "is22"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_s222;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "is222"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_sp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "isp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_sss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "isss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ssss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "issss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_t;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "it"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_4i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i4i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_42p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i42p"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_l4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ll4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lpi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lpii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_p33l;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lp33l"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_33l;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "l33l"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "p"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_B;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pB"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_b;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pb"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Jt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_iiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "piiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_iiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "piiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_iiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "piiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_piiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_t;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_tpp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ptpp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ttttttt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pttttttt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_s_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "s"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "t"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tpi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tpii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_t;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_tl4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ttl4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_t4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tt4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_sc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "isc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_s_sc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ssc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_sc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "csc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_i3;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ii3"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_b;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tb"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_B;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tB"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_P;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_33;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i33"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JOi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJOi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JOt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJOt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_Jt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_Ji;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_Vi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vVi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ppiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pppiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pppi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipppi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pppii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipppii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pppiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipppiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ci"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_ipt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cipt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_f_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "fii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ddddpppddpppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iddddpppddpppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_dddpppppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "idddpppppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiiipiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiiipiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_3p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "v3p"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_c;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_cccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vcccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ccccff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vccccff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ccccfff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vccccfff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_d;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_dd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vdd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_dddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vdddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_dddddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vdddddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ddddddddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vddddddddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ddddp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vddddp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ddii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vddii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_dii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vdii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_f;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vf"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_fc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vfc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffccccfff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffccccfff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_fff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vfff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_fffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vfffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_fffffffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vfffffffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_icccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vicccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iccccfff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viccccfff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iciip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viciip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_id;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vid"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_idd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vidd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_idddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vidddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddidd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddidd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddiiddiiddiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddiiddiiddiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddiiddiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddiiddiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_if;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vif"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ifff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vifff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ifffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vifffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffiff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffiff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffiiffiiffiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffiiffiiffiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffiiffiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffiiffiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iic;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viic"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iid;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viid"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iidddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viidddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iif;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viif"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iifffft;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viifffft"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiic;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiic"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiicp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiicp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiicp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiicp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiipp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiipp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiippp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiippp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ipipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vipipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ipp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vipp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ippi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vippi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ippii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vippii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_is;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vis"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_isss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "visss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_issss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vissss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_it;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pdddii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpdddii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pddii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpddii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pddiidd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpddiidd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pdii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpdii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pid;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpid"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pif;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpif"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pipii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpipii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pipipii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpipipii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pipipiipiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpipipiipiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ppipii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vppipii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ppppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vppppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ptp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vptp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_s;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vs"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_sss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vsss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ssss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vssss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_tp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vtp"), temp_pmc);


    }

#if defined(CAN_BUILD_CALL_FRAMES)
    /* Try if JIT code can build that signature. If yes, we are done */

    jit_key_name = string_from_literal(interp, "_XJIT_");
    jit_key_name = string_append(interp, jit_key_name, signature);
    b = VTABLE_get_pmc_keyed_str(interp, HashPointer, jit_key_name);

    if (b && b->vtable->base_type == enum_class_UnManagedStruct) {
        *jitted = 1;
        return F2DPTR(PMC_data(b));
    }
    else {
        void * const result = Parrot_jit_build_call_func(interp, pmc_nci, signature);
        if (result) {
            *jitted = 1;
            temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
            PMC_data(temp_pmc) = (void*)result;
            VTABLE_set_pmc_keyed_str(interp, HashPointer, jit_key_name, temp_pmc);
            return result;
        }
    }

#endif

    b = VTABLE_get_pmc_keyed_str(interp, HashPointer, signature);

    if (b && b->vtable->base_type == enum_class_UnManagedStruct)
        return F2DPTR(PMC_data(b));

    /*
      These three lines have been added to aid debugging. I want to be able to
      see which signature has an unknown type. I am sure someone can come up
      with a neater way to do this.
     */
    ns = string_make(interp, " is an unknown signature type", 29, "ascii", 0);
    message = string_concat(interp, signature, ns, 0);

#if defined(CAN_BUILD_CALL_FRAMES)
    ns = string_make(interp, ".\nCAN_BUILD_CALL_FRAMES is enabled, this should not happen", 58, "ascii", 0);
#else
    ns = string_make(interp, ".\nCAN_BUILD_CALL_FRAMES is disabled, add the signature to src/call_list.txt", 75, "ascii", 0);
#endif
    message = string_concat(interp, message, ns, 0);

    /*
     * I think there may be memory issues with this but if we get to here we are
     * aborting.
     */
    c = string_to_cstring(interp, message);
    PANIC(interp, c);
}


/*
 * Local variables:
 *   c-file-style: "parrot"
 * End:
 * vim: expandtab shiftwidth=4:
 */
